---
sidebar_position: 41
slug: /api
---

# Chart API

## All Class

- [AngleAxis](#angleaxis)
- [AngleAxisTheme](#angleaxistheme)
- [AnimationAddition](#animationaddition)
- [AnimationChange](#animationchange)
- [AnimationFadeIn](#animationfadein)
- [AnimationFadeOut](#animationfadeout)
- [AnimationHiding](#animationhiding)
- [AnimationInfo](#animationinfo)
- [AnimationInfoContext](#animationinfocontext)
- [AnimationInteraction](#animationinteraction)
- [AnimationStyle](#animationstyle)
- [AnimationStyleHelper](#animationstylehelper)
- [AreaStyle](#areastyle)
- [ArrowStyle](#arrowstyle)
- [Axis](#axis)
- [AxisAnimation](#axisanimation)
- [AxisContext](#axiscontext)
- [AxisHandler&lt;T&gt;](#axishandlert)
- [AxisHelper](#axishelper)
- [AxisLabel](#axislabel)
- [AxisLine](#axisline)
- [AxisMinorSplitLine](#axisminorsplitline)
- [AxisMinorTick](#axisminortick)
- [AxisName](#axisname)
- [AxisSplitArea](#axissplitarea)
- [AxisSplitLine](#axissplitline)
- [AxisTheme](#axistheme)
- [AxisTick](#axistick)
- [Background](#background)
- [Bar](#bar)
- [BarChart](#barchart)
- [BaseAxisTheme](#baseaxistheme)
- [BaseChart](#basechart)
- [BaseGraph](#basegraph)
- [BaseLine](#baseline)
- [BaseScatter](#basescatter)
- [BaseSerie](#baseserie)
- [BlurStyle](#blurstyle)
- [CalendarCoord](#calendarcoord)
- [Candlestick](#candlestick)
- [CandlestickChart](#candlestickchart)
- [ChartCached](#chartcached)
- [ChartConst](#chartconst)
- [ChartDrawer](#chartdrawer)
- [ChartHelper](#charthelper)
- [ChartLabel](#chartlabel)
- [ChartObject](#chartobject)
- [ChartText](#charttext)
- [CheckHelper](#checkhelper)
- [ChildComponent](#childcomponent)
- [ColorUtil](#colorutil)
- [Comment](#comment)
- [CommentItem](#commentitem)
- [CommentMarkStyle](#commentmarkstyle)
- [ComponentHandlerAttribute](#componenthandlerattribute)
- [ComponentHelper](#componenthelper)
- [ComponentTheme](#componenttheme)
- [CoordOptionsAttribute](#coordoptionsattribute)
- [CoordSystem](#coordsystem)
- [DataZoom](#datazoom)
- [DataZoomContext](#datazoomcontext)
- [DataZoomHelper](#datazoomhelper)
- [DataZoomTheme](#datazoomtheme)
- [DateTimeUtil](#datetimeutil)
- [DebugInfo](#debuginfo)
- [DefaultAnimationAttribute](#defaultanimationattribute)
- [DefaultTooltipAttribute](#defaulttooltipattribute)
- [DefineSymbolsUtil](#definesymbolsutil)
- [EffectScatter](#effectscatter)
- [EmphasisStyle](#emphasisstyle)
- [EndLabelStyle](#endlabelstyle)
- [FormatterHelper](#formatterhelper)
- [GridCoord](#gridcoord)
- [GridCoordContext](#gridcoordcontext)
- [GridLayout](#gridlayout)
- [GridLayoutContext](#gridlayoutcontext)
- [Heatmap](#heatmap)
- [HeatmapChart](#heatmapchart)
- [IconStyle](#iconstyle)
- [IgnoreDoc](#ignoredoc)
- [ImageStyle](#imagestyle)
- [Indicator](#indicator)
- [INeedSerieContainer](#ineedseriecontainer)
- [InputHelper](#inputhelper)
- [InteractData](#interactdata)
- [IPropertyChanged](#ipropertychanged)
- [ISerieComponent](#iseriecomponent)
- [ISerieContainer](#iseriecontainer)
- [ISerieDataComponent](#iseriedatacomponent)
- [ISimplifiedSerie](#isimplifiedserie)
- [ItemStyle](#itemstyle)
- [IUpdateRuntimeData](#iupdateruntimedata)
- [LabelLine](#labelline)
- [LabelStyle](#labelstyle)
- [Lang](#lang)
- [LangCandlestick](#langcandlestick)
- [LangTime](#langtime)
- [LayerHelper](#layerhelper)
- [Legend](#legend)
- [LegendContext](#legendcontext)
- [LegendHelper](#legendhelper)
- [LegendItem](#legenditem)
- [LegendTheme](#legendtheme)
- [Level](#level)
- [LevelStyle](#levelstyle)
- [Line](#line)
- [LineArrow](#linearrow)
- [LineChart](#linechart)
- [LineStyle](#linestyle)
- [ListFor](#listfor)
- [ListForComponent](#listforcomponent)
- [ListForSerie](#listforserie)
- [Location](#location)
- [MainComponent](#maincomponent)
- [MainComponentContext](#maincomponentcontext)
- [MainComponentHandler](#maincomponenthandler)
- [MainComponentHandler&lt;T&gt;](#maincomponenthandlert)
- [MarkArea](#markarea)
- [MarkAreaData](#markareadata)
- [MarkLine](#markline)
- [MarkLineData](#marklinedata)
- [MarqueeStyle](#marqueestyle)
- [MathUtil](#mathutil)
- [MLValue](#mlvalue)
- [MonoBehaviour](#monobehaviour)
- [Padding](#padding)
- [Painter](#painter)
- [Parallel](#parallel)
- [ParallelAxis](#parallelaxis)
- [ParallelChart](#parallelchart)
- [ParallelCoord](#parallelcoord)
- [ParallelCoordContext](#parallelcoordcontext)
- [Pie](#pie)
- [PieChart](#piechart)
- [PolarAxisTheme](#polaraxistheme)
- [PolarChart](#polarchart)
- [PolarCoord](#polarcoord)
- [PolarCoordContext](#polarcoordcontext)
- [PropertyUtil](#propertyutil)
- [Radar](#radar)
- [RadarAxisTheme](#radaraxistheme)
- [RadarChart](#radarchart)
- [RadarCoord](#radarcoord)
- [RadarCoordContext](#radarcoordcontext)
- [RadiusAxis](#radiusaxis)
- [RadiusAxisTheme](#radiusaxistheme)
- [ReflectionUtil](#reflectionutil)
- [RequireChartComponentAttribute](#requirechartcomponentattribute)
- [Ring](#ring)
- [RingChart](#ringchart)
- [RuntimeUtil](#runtimeutil)
- [Scatter](#scatter)
- [ScatterChart](#scatterchart)
- [SelectStyle](#selectstyle)
- [Serie](#serie)
- [SerieComponentAttribute](#seriecomponentattribute)
- [SerieContext](#seriecontext)
- [SerieConvertAttribute](#serieconvertattribute)
- [SerieData](#seriedata)
- [SerieDataComponentAttribute](#seriedatacomponentattribute)
- [SerieDataContext](#seriedatacontext)
- [SerieDataExtraFieldAttribute](#seriedataextrafieldattribute)
- [SerieEventData](#serieeventdata)
- [SerieEventDataPool](#serieeventdatapool)
- [SerieHandler](#seriehandler)
- [SerieHandler&lt;T&gt;](#seriehandlert)
- [SerieHandlerAttribute](#seriehandlerattribute)
- [SerieHelper](#seriehelper)
- [SerieLabelHelper](#serielabelhelper)
- [SerieLabelPool](#serielabelpool)
- [SerieParams](#serieparams)
- [SeriesHelper](#serieshelper)
- [SerieSymbol](#seriesymbol)
- [SerieTheme](#serietheme)
- [Settings](#settings)
- [SimplifiedBar](#simplifiedbar)
- [SimplifiedBarChart](#simplifiedbarchart)
- [SimplifiedCandlestick](#simplifiedcandlestick)
- [SimplifiedCandlestickChart](#simplifiedcandlestickchart)
- [SimplifiedLine](#simplifiedline)
- [SimplifiedLineChart](#simplifiedlinechart)
- [Since](#since)
- [SingleAxis](#singleaxis)
- [SingleAxisCoord](#singleaxiscoord)
- [StageColor](#stagecolor)
- [StateStyle](#statestyle)
- [SubTitleTheme](#subtitletheme)
- [SVG](#svg)
- [SVGImage](#svgimage)
- [SVGPath](#svgpath)
- [SVGPathSeg](#svgpathseg)
- [SymbolStyle](#symbolstyle)
- [TextLimit](#textlimit)
- [TextPadding](#textpadding)
- [TextStyle](#textstyle)
- [Theme](#theme)
- [ThemeStyle](#themestyle)
- [Title](#title)
- [TitleStyle](#titlestyle)
- [TitleTheme](#titletheme)
- [Tooltip](#tooltip)
- [TooltipContext](#tooltipcontext)
- [TooltipData](#tooltipdata)
- [TooltipHelper](#tooltiphelper)
- [TooltipTheme](#tooltiptheme)
- [TooltipView](#tooltipview)
- [TooltipViewItem](#tooltipviewitem)
- [UGL](#ugl)
- [UGLExample](#uglexample)
- [UGLHelper](#uglhelper)
- [UIComponent](#uicomponent)
- [UIComponentTheme](#uicomponenttheme)
- [UIHelper](#uihelper)
- [VisualMap](#visualmap)
- [VisualMapContext](#visualmapcontext)
- [VisualMapHelper](#visualmaphelper)
- [VisualMapRange](#visualmaprange)
- [VisualMapTheme](#visualmaptheme)
- [XAxis](#xaxis)
- [XChartsMgr](#xchartsmgr)
- [XCResourceImporterWindow](#xcresourceimporterwindow)
- [XCResourcesImporter](#xcresourcesimporter)
- [XCSettings](#xcsettings)
- [XCThemeMgr](#xcthememgr)
- [XLog](#xlog)
- [YAxis](#yaxis)


## AngleAxis

> class in XCharts.Runtime / Inherits from: [Axis](#axis)

Angle axis of Polar Coordinate.

|public method|since|description|
|--|--|--|
|GetValueAngle()||public float GetValueAngle(double value)|
|GetValueAngle()||public float GetValueAngle(float value)|
|SetDefaultValue()||public override void SetDefaultValue()|

## AngleAxisTheme

> class in XCharts.Runtime / Inherits from: [BaseAxisTheme](#baseaxistheme)


|public method|since|description|
|--|--|--|
|AngleAxisTheme()||public AngleAxisTheme(ThemeType theme) : base(theme) { }|

## AnimationAddition

> class in XCharts.Runtime / Inherits from: [AnimationInfo](#animationinfo)

> Since `v3.8.0`

Data addition animation.

## AnimationChange

> class in XCharts.Runtime / Inherits from: [AnimationInfo](#animationinfo)

> Since `v3.8.0`

Data change animation.

## AnimationFadeIn

> class in XCharts.Runtime / Inherits from: [AnimationInfo](#animationinfo)

> Since `v3.8.0`

Fade in animation.

## AnimationFadeOut

> class in XCharts.Runtime / Inherits from: [AnimationInfo](#animationinfo)

> Since `v3.8.0`

Fade out animation.

## AnimationHiding

> class in XCharts.Runtime / Inherits from: [AnimationInfo](#animationinfo)

> Since `v3.8.0`

Data hiding animation.

## AnimationInfo

> class in XCharts.Runtime / Subclasses: [AnimationFadeIn](#animationfadein),[AnimationFadeOut](#animationfadeout),[AnimationChange](#animationchange),[AnimationAddition](#animationaddition),[AnimationHiding](#animationhiding),[AnimationInteraction](#animationinteraction) 

> Since `v3.8.0`

the animation info.

|public method|since|description|
|--|--|--|
|End()||public void End()<br/>End animation. |
|GetIndexDelay()||public float GetIndexDelay(int dataIndex)<br/>Get animation delay. |
|Init()||public bool Init(float curr, float dest, int totalPointIndex)<br/>Initialize animation. |
|IsFinish()||public bool IsFinish()<br/>Whether animation is finish. |
|IsInDelay()||public bool IsInDelay()<br/>Whether animation is in delay. |
|IsInIndexDelay()||public bool IsInIndexDelay(int dataIndex)<br/>Whether animation is in index delay. |
|Pause()||public void Pause()<br/>Pause animation. |
|Reset()||public void Reset()<br/>Reset animation. |
|Resume()||public void Resume()<br/>Resume animation. |
|Start()||public void Start(bool reset = true)<br/>Start animation. |

## AnimationInfoContext

> class in XCharts.Runtime


## AnimationInteraction

> class in XCharts.Runtime / Inherits from: [AnimationInfo](#animationinfo)

> Since `v3.8.0`

Interactive animation of charts.

|public method|since|description|
|--|--|--|
|GetOffset()||public float GetOffset()|
|GetOffset()||public float GetOffset(float total)|
|GetRadius()||public float GetRadius(float radius)|
|GetWidth()||public float GetWidth(float width)|

## AnimationStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

the animation of serie. support animation type: fadeIn, fadeOut, change, addition.

|public method|since|description|
|--|--|--|
|Addition()||public void Addition()<br/>Start additon animation. |
|CanCheckInteract()||public bool CanCheckInteract()|
|CheckDetailBreak()||public bool CheckDetailBreak(float detail)|
|CheckDetailBreak()||public bool CheckDetailBreak(Vector3 pos, bool isYAxis)|
|CheckProgress()||public void CheckProgress()|
|CheckProgress()||public void CheckProgress(double total)|
|CheckSymbol()||public void CheckSymbol(float dest)|
|FadeIn()||public void FadeIn()<br/>Start fadein animation. |
|FadeOut()||public void FadeOut()<br/>Start fadeout animation. |
|GetAdditionDuration()||public float GetAdditionDuration()|
|GetChangeDuration()||public float GetChangeDuration()|
|GetCurrDetail()||public float GetCurrDetail()|
|GetCurrIndex()||public int GetCurrIndex()|
|GetCurrRate()||public float GetCurrRate()|
|GetInteractionDuration()||public float GetInteractionDuration()|
|GetInteractionRadius()||public float GetInteractionRadius(float radius)|
|GetSysmbolSize()||public float GetSysmbolSize(float dest)|
|HasFadeOut()||public bool HasFadeOut()|
|InitProgress()||public void InitProgress(float curr, float dest)<br/>Initialize animation configuration. |
|InitProgress()||public void InitProgress(List&lt;Vector3&gt; paths, bool isY)<br/>Initialize animation configuration. |
|IsDataAnimation()||public bool IsDataAnimation()<br/>whther animaiton is data animation. BottomToTop and InsideOut are data animation. |
|IsEnd()||public bool IsEnd()|
|IsFadeIn()||public bool IsFadeIn()|
|IsFadeOut()||public bool IsFadeOut()|
|IsFinish()||public bool IsFinish()|
|IsInDelay()||public bool IsInDelay()|
|IsSerieAnimation()||public bool IsSerieAnimation()<br/>whther animaiton is serie animation. LeftToRight, AlongPath and Clockwise are serie animation. |
|Pause()||public void Pause()<br/>Pause all animations. |
|Reset()||public void Reset()<br/>Reset all animations. |
|Restart()||public void Restart()<br/>Restart the actived animation. |
|Resume()||public void Resume()<br/>Resume all animations. |

## AnimationStyleHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|CheckDataAnimation()||public static float CheckDataAnimation(BaseChart chart, Serie serie, int dataIndex, float destProgress, float startPorgress = 0)|
|GetAnimationPosition()||public static bool GetAnimationPosition(AnimationStyle animation, bool isY, Vector3 lp, Vector3 cp, float progress, ref Vector3 ip)|
|UpdateAnimationType()||public static void UpdateAnimationType(AnimationStyle animation, AnimationType defaultType, bool enableSerieDataAnimation)|
|UpdateSerieAnimation()||public static void UpdateSerieAnimation(Serie serie)|

## AreaStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent),[ISerieComponent](#iseriecomponent),[ISerieDataComponent](#iseriedatacomponent)

The style of area.

|public method|since|description|
|--|--|--|
|GetColor()||public Color32 GetColor()|
|GetColor()||public Color32 GetColor(Color32 themeColor)|

## ArrowStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)


|public method|since|description|
|--|--|--|
|Clone()||public ArrowStyle Clone()|
|Copy()||public void Copy(ArrowStyle arrow)|
|GetColor()||public Color32 GetColor(Color32 defaultColor)|

## Axis

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent) / Subclasses: [AngleAxis](#angleaxis),[ParallelAxis](#parallelaxis),[RadiusAxis](#radiusaxis),[SingleAxis](#singleaxis),[XAxis](#xaxis),[YAxis](#yaxis) 

The axis in rectangular coordinate.

|public method|since|description|
|--|--|--|
|AddData()||public void AddData(string category)<br/>添加一个类目到类目数据列表 |
|AddIcon()||public void AddIcon(Sprite icon)<br/>添加图标 |
|ClearComponentDirty()||public override void ClearComponentDirty()|
|ClearData()||public override void ClearData()<br/>清空类目数据 |
|ClearVerticesDirty()||public override void ClearVerticesDirty()|
|Clone()||public Axis Clone()|
|Copy()||public void Copy(Axis axis)|
|GetData()||public string GetData(int index)<br/>获得指定索引的类目数据 |
|GetData()||public string GetData(int index, DataZoom dataZoom)<br/>获得在dataZoom范围内指定索引的类目数据 |
|GetDistance()||public float GetDistance(double value, float axisLength)<br/>获得值在坐标轴上的距离 |
|GetIcon()||public Sprite GetIcon(int index)|
|GetLabelValue()||public double GetLabelValue(int index)|
|GetLastLabelValue()||public double GetLastLabelValue()|
|GetLogMaxIndex()||public double GetLogMaxIndex()|
|GetLogMinIndex()||public double GetLogMinIndex()|
|GetLogValue()||public float GetLogValue(double value)|
|GetValueLength()||public float GetValueLength(double value, float axisLength)|
|IsBottom()||public bool IsBottom()|
|IsCategory()||public bool IsCategory()<br/>是否为类目轴。 |
|IsLeft()||public bool IsLeft()|
|IsLog()||public bool IsLog()<br/>是否为对数轴。 |
|IsNeedShowLabel()||public bool IsNeedShowLabel(int index, int total = 0)|
|IsRight()||public bool IsRight()|
|IsTime()||public bool IsTime()<br/>是否为时间轴。 |
|IsTop()||public bool IsTop()|
|IsValue()||public bool IsValue()<br/>是否为数值轴。 |
|RemoveData()||public void RemoveData(int dataIndex)|
|SetComponentDirty()||public override void SetComponentDirty()|
|SetNeedUpdateFilterData()||public void SetNeedUpdateFilterData()|
|UpdateData()||public void UpdateData(int index, string category)<br/>更新类目数据 |
|UpdateIcon()||public void UpdateIcon(int index, Sprite icon)<br/>更新图标 |
|UpdateZeroOffset()||public void UpdateZeroOffset(float axisLength)|

## AxisAnimation

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

> Since `v3.9.0`

animation style of axis.

|public method|since|description|
|--|--|--|
|Clone()||public AxisAnimation Clone()|
|Copy()||public void Copy(AxisAnimation animation)|

## AxisContext

> class in XCharts.Runtime / Inherits from: [MainComponentContext](#maincomponentcontext)


## AxisHandler&lt;T&gt;

> class in XCharts / Inherits from: [MainComponentHandler](#maincomponenthandler)


## AxisHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|AdjustCircleLabelPos()||public static void AdjustCircleLabelPos(ChartLabel txt, Vector3 pos, Vector3 cenPos, float txtHig, Vector3 offset)|
|AdjustMinMaxValue()||public static void AdjustMinMaxValue(Axis axis, ref double minValue, ref double maxValue, bool needFormat, double ceilRate = 0)<br/>调整最大最小值 |
|AdjustRadiusAxisLabelPos()||public static void AdjustRadiusAxisLabelPos(ChartLabel txt, Vector3 pos, Vector3 cenPos, float txtHig, Vector3 offset)|
|GetAxisLineArrowOffset()||public static float GetAxisLineArrowOffset(Axis axis)<br/>包含箭头偏移的轴线长度 |
|GetAxisPosition()||public static float GetAxisPosition(GridCoord grid, Axis axis, double value, int dataCount = 0, DataZoom dataZoom = null)|
|GetAxisPositionValue()||public static double GetAxisPositionValue(float xy, float axisLength, double axisRange, float axisStart, float axisOffset)|
|GetAxisPositionValue()||public static double GetAxisPositionValue(GridCoord grid, Axis axis, Vector3 pos)|
|GetAxisValueDistance()||public static float GetAxisValueDistance(GridCoord grid, Axis axis, float scaleWidth, double value)<br/>获得数值value在坐标轴上相对起点的距离 |
|GetAxisValueLength()||public static float GetAxisValueLength(GridCoord grid, Axis axis, float scaleWidth, double value)<br/>获得数值value在坐标轴上对应的长度 |
|GetAxisValuePosition()||public static float GetAxisValuePosition(GridCoord grid, Axis axis, float scaleWidth, double value)<br/>获得数值value在坐标轴上的坐标位置 |
|GetAxisValueSplitIndex()||public static int GetAxisValueSplitIndex(Axis axis, double value, int totalSplitNumber = -1)<br/>获得数值value在坐标轴上对应的split索引 |
|GetAxisXOrY()||public static float GetAxisXOrY(GridCoord grid, Axis axis, Axis relativedAxis)|
|GetDataWidth()||public static float GetDataWidth(Axis axis, float coordinateWidth, int dataCount, DataZoom dataZoom)<br/>获得一个类目数据在坐标系中代表的宽度 |
|GetEachWidth()||public static float GetEachWidth(Axis axis, float coordinateWidth, DataZoom dataZoom = null)|
|GetScaleNumber()||public static int GetScaleNumber(Axis axis, float coordinateWidth, DataZoom dataZoom = null)<br/>获得分割线条数 |
|GetScaleWidth()||public static float GetScaleWidth(Axis axis, float coordinateWidth, int index, DataZoom dataZoom = null)<br/>获得分割段宽度 |
|GetSplitNumber()||public static int GetSplitNumber(Axis axis, float coordinateWid, DataZoom dataZoom)<br/>获得分割段数 |
|GetTotalSplitGridNum()||public static int GetTotalSplitGridNum(Axis axis)<br/>获得分割网格个数，包含次刻度 |
|GetXAxisXOrY()||public static float GetXAxisXOrY(GridCoord grid, Axis xAxis, Axis relativedAxis)|
|GetYAxisXOrY()||public static float GetYAxisXOrY(GridCoord grid, Axis yAxis, Axis relativedAxis)|
|NeedShowSplit()||public static bool NeedShowSplit(Axis axis)|

## AxisLabel

> class in XCharts.Runtime / Inherits from: [LabelStyle](#labelstyle)

Settings related to axis label.

|public method|since|description|
|--|--|--|
|ClearComponentDirty()||public override void ClearComponentDirty()|
|Clone()||public new AxisLabel Clone()|
|Copy()||public void Copy(AxisLabel axisLabel)|
|GetFormatterContent()||public override string GetFormatterContent(int labelIndex, double value, double minValue, double maxValue, bool isLog = false)|
|GetFormatterContent()||public override string GetFormatterContent(int labelIndex, string category)|
|IsNeedShowLabel()||public bool IsNeedShowLabel(int index, int total)|
|SetRelatedText()||public void SetRelatedText(ChartText txt, float labelWidth)|

## AxisLine

> class in XCharts.Runtime / Inherits from: [BaseLine](#baseline)

Settings related to axis line.

|public method|since|description|
|--|--|--|
|Clone()||public AxisLine Clone()|
|Copy()||public void Copy(AxisLine axisLine)|

## AxisMinorSplitLine

> class in XCharts.Runtime / Inherits from: [BaseLine](#baseline)

> Since `v3.2.0`

Minor split line of axis in grid area.

|public method|since|description|
|--|--|--|
|ClearVerticesDirty()||public override void ClearVerticesDirty()|
|Clone()||public AxisMinorSplitLine Clone()|
|Copy()||public void Copy(AxisMinorSplitLine splitLine)|

## AxisMinorTick

> class in XCharts.Runtime / Inherits from: [BaseLine](#baseline)

> Since `v3.2.0`

Settings related to axis minor tick.

|public method|since|description|
|--|--|--|
|ClearVerticesDirty()||public override void ClearVerticesDirty()|
|Clone()||public AxisMinorTick Clone()|
|Copy()||public void Copy(AxisMinorTick axisTick)|

## AxisName

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

the name of axis.

|public method|since|description|
|--|--|--|
|Clone()||public AxisName Clone()|
|Copy()||public void Copy(AxisName axisName)|

## AxisSplitArea

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

Split area of axis in grid area, not shown by default.

|public method|since|description|
|--|--|--|
|Clone()||public AxisSplitArea Clone()|
|Copy()||public void Copy(AxisSplitArea splitArea)|
|GetColor()||public Color32 GetColor(int index, BaseAxisTheme theme)|

## AxisSplitLine

> class in XCharts.Runtime / Inherits from: [BaseLine](#baseline)

Split line of axis in grid area.

|public method|since|description|
|--|--|--|
|ClearVerticesDirty()||public override void ClearVerticesDirty()|
|Clone()||public AxisSplitLine Clone()|
|Copy()||public void Copy(AxisSplitLine splitLine)|

## AxisTheme

> class in XCharts.Runtime / Inherits from: [BaseAxisTheme](#baseaxistheme)


|public method|since|description|
|--|--|--|
|AxisTheme()||public AxisTheme(ThemeType theme) : base(theme) { }|

## AxisTick

> class in XCharts.Runtime / Inherits from: [BaseLine](#baseline)

Settings related to axis tick.

|public method|since|description|
|--|--|--|
|Clone()||public AxisTick Clone()|
|Copy()||public void Copy(AxisTick axisTick)|

## Background

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent)

Background component.

|public method|since|description|
|--|--|--|
|SetDefaultValue()||public override void SetDefaultValue()|

## Bar

> class in XCharts.Runtime / Inherits from: [Serie](#serie),[INeedSerieContainer](#ineedseriecontainer)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|
|ConvertSerie()||public static Bar ConvertSerie(Serie serie)|

## BarChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## BaseAxisTheme

> class in XCharts.Runtime / Inherits from: [ComponentTheme](#componenttheme) / Subclasses: [AxisTheme](#axistheme),[RadiusAxisTheme](#radiusaxistheme),[AngleAxisTheme](#angleaxistheme),[PolarAxisTheme](#polaraxistheme),[RadarAxisTheme](#radaraxistheme) 


|public method|since|description|
|--|--|--|
|BaseAxisTheme()||public BaseAxisTheme(ThemeType theme) : base(theme)|
|Copy()||public void Copy(BaseAxisTheme theme)|

## BaseChart

> class in XCharts.Runtime / Inherits from: [BaseGraph](#basegraph),[ISerializationCallbackReceiver](https://docs.unity3d.com/ScriptReference/30_search.html?q=iserializationcallbackreceiver) / Subclasses: [BarChart](#barchart),[CandlestickChart](#candlestickchart),[HeatmapChart](#heatmapchart),[LineChart](#linechart),[ParallelChart](#parallelchart),[PieChart](#piechart),[PolarChart](#polarchart),[RadarChart](#radarchart),[RingChart](#ringchart),[ScatterChart](#scatterchart),[SimplifiedBarChart](#simplifiedbarchart),[SimplifiedCandlestickChart](#simplifiedcandlestickchart),[SimplifiedLineChart](#simplifiedlinechart) 


|public method|since|description|
|--|--|--|
|onAxisPointerValueChanged||public Action&lt;Axis, double&gt; onAxisPointerValueChanged<br/>坐标轴变更数据索引时回调。参数：axis, dataIndex/dataValue |
|onDraw||public Action&lt;VertexHelper&gt; onDraw<br/>自定义绘制回调。在绘制Serie前调用。 |
|onDrawAfterSerie||public Action&lt;VertexHelper, Serie&gt; onDrawAfterSerie<br/>自定义Serie绘制回调。在每个Serie绘制完后调用。 |
|onDrawBeforeSerie||public Action&lt;VertexHelper, Serie&gt; onDrawBeforeSerie<br/>自定义Serie绘制回调。在每个Serie绘制完前调用。 |
|onDrawTop||public Action&lt;VertexHelper&gt; onDrawTop<br/>自定义Top层绘制回调。在绘制Tooltip前调用。 |
|onDrawUpper||public Action&lt;VertexHelper&gt; onDrawUpper<br/>自定义Upper层绘制回调。在绘制Tooltip前调用。 |
|onInit||public Action onInit<br/>The callback function of chart init. |
|onLegendClick||public Action&lt;Legend, int, string, bool&gt; onLegendClick<br/>the callback function of click legend. |
|onLegendEnter||public Action&lt;Legend, int, string&gt; onLegendEnter<br/>the callback function of enter legend. |
|onLegendExit||public Action&lt;Legend, int, string&gt; onLegendExit<br/>the callback function of exit legend. |
|onPointerClickBar||public Action&lt;PointerEventData, int&gt; onPointerClickBar<br/>the callback function of click bar. |
|onPointerClickPie||public Action&lt;PointerEventData, int, int&gt; onPointerClickPie<br/>the callback function of pointer click pie area. |
|onPointerEnterPie||public Action&lt;int, int&gt; onPointerEnterPie<br/>the callback function of pointer enter pie area. |
|onSerieClick|v3.6.0|public Action&lt;SerieEventData&gt; onSerieClick<br/>the callback function of pointer click serie. |
|onSerieDown|v3.6.0|public Action&lt;SerieEventData&gt; onSerieDown<br/>the callback function of pointer down serie. |
|onSerieEnter|v3.6.0|public Action&lt;SerieEventData&gt; onSerieEnter<br/>the callback function of pointer enter serie. |
|onSerieExit|v3.6.0|public Action&lt;SerieEventData&gt; onSerieExit<br/>the callback function of pointer exit serie. |
|onUpdate||public Action onUpdate<br/>The callback function of chart update. |
|AddChartComponent()||public MainComponent AddChartComponent(Type type)|
|AddChartComponent&lt;T&gt;()||public T AddChartComponent&lt;T&gt;() where T : MainComponent|
|AddChartComponentWhenNoExist&lt;T&gt;()||public T AddChartComponentWhenNoExist&lt;T&gt;() where T : MainComponent|
|AddData()||public SerieData AddData(int serieIndex, DateTime time, double yValue, string dataName = null, string dataId = null)<br/>Add a (time,y) data to serie. |
|AddData()||public SerieData AddData(int serieIndex, double data, string dataName = null, string dataId = null)<br/>Add a data to serie. |
|AddData()||public SerieData AddData(int serieIndex, double indexOrTimestamp, double open, double close, double lowest, double heighest, string dataName = null, string dataId = null)|
|AddData()||public SerieData AddData(int serieIndex, double xValue, double yValue, string dataName = null, string dataId = null)<br/>Add a (x,y) data to serie. |
|AddData()||public SerieData AddData(int serieIndex, List&lt;double&gt; multidimensionalData, string dataName = null, string dataId = null)<br/>Add an arbitray dimension data to serie,such as (x,y,z,...). |
|AddData()||public SerieData AddData(int serieIndex, params double[] multidimensionalData)<br/>Add an arbitray dimension data to serie,such as (x,y,z,...). |
|AddData()||public SerieData AddData(string serieName, DateTime time, double yValue, string dataName = null, string dataId = null)<br/>Add a (time,y) data to serie. |
|AddData()||public SerieData AddData(string serieName, double data, string dataName = null, string dataId = null)<br/>Add a data to serie. |
|AddData()||public SerieData AddData(string serieName, double indexOrTimestamp, double open, double close, double lowest, double heighest, string dataName = null, string dataId = null)|
|AddData()||public SerieData AddData(string serieName, double xValue, double yValue, string dataName = null, string dataId = null)<br/>Add a (x,y) data to serie. |
|AddData()||public SerieData AddData(string serieName, List&lt;double&gt; multidimensionalData, string dataName = null, string dataId = null)<br/>Add an arbitray dimension data to serie,such as (x,y,z,...). |
|AddData()||public SerieData AddData(string serieName, params double[] multidimensionalData)<br/>Add an arbitray dimension data to serie,such as (x,y,z,...). |
|AddSerie&lt;T&gt;()||public T AddSerie&lt;T&gt;(string serieName = null, bool show = true, bool addToHead = false) where T : Serie|
|AddXAxisData()||public void AddXAxisData(string category, int xAxisIndex = 0)<br/>Add a category data to xAxis. |
|AddXAxisIcon()||public void AddXAxisIcon(Sprite icon, int xAxisIndex = 0)<br/>Add an icon to xAxis. |
|AddYAxisData()||public void AddYAxisData(string category, int yAxisIndex = 0)<br/>Add a category data to yAxis. |
|AddYAxisIcon()||public void AddYAxisIcon(Sprite icon, int yAxisIndex = 0)<br/>Add an icon to yAxis. |
|AnimationEnable()||public void AnimationEnable(bool flag)<br/>Whether enable serie animations. |
|AnimationFadeIn()||public void AnimationFadeIn(bool reset = true)<br/>Start all serie fadein animations. |
|AnimationFadeOut()||public void AnimationFadeOut()<br/>Start all serie fadeout animations. |
|AnimationPause()||public void AnimationPause()<br/>Pause all animations. |
|AnimationReset()||public void AnimationReset()<br/>Reset all animations. |
|AnimationResume()||public void AnimationResume()<br/>Resume all animations. |
|CanAddChartComponent()||public bool CanAddChartComponent(Type type)|
|CanAddSerie()||public bool CanAddSerie(Type type)|
|CanAddSerie&lt;T&gt;()||public bool CanAddSerie&lt;T&gt;() where T : Serie|
|CancelTooltip()|v3.7.0|public void CancelTooltip()<br/>cancel tooltip. |
|CanMultipleComponent()||public bool CanMultipleComponent(Type type)|
|ClampInChart()||public void ClampInChart(ref Vector3 pos)|
|ClampInGrid()||public Vector3 ClampInGrid(GridCoord grid, Vector3 pos)|
|ClearComponentData()||public virtual void ClearComponentData()<br/>Clear the data of all components. |
|ClearData()||public virtual void ClearData()<br/>Clear all components and series data. Note: serie only empties the data and does not remove serie. |
|ClearSerieData()||public virtual void ClearSerieData()<br/>Clear the data of all series. |
|ClickLegendButton()||public void ClickLegendButton(int legendIndex, string legendName, bool show)<br/>点击图例按钮 |
|ConvertSerie()||public bool ConvertSerie(Serie serie, Type type)|
|ConvertSerie&lt;T&gt;()||public bool ConvertSerie&lt;T&gt;(Serie serie) where T : Serie|
|ConvertXYAxis()||public void ConvertXYAxis(int index)<br/>转换X轴和Y轴的配置 |
|EnsureChartComponent&lt;T&gt;()|v3.6.0|public T EnsureChartComponent&lt;T&gt;() where T : MainComponent<br/>Ensure the chart has the component, if not, add it. Note: it may fail to add. |
|GenerateDefaultSerieName()||public string GenerateDefaultSerieName()|
|GetAllSerieDataCount()||public int GetAllSerieDataCount()|
|GetChartBackgroundColor()||public Color32 GetChartBackgroundColor()|
|GetChartComponent&lt;T&gt;()||public T GetChartComponent&lt;T&gt;(int index = 0) where T : MainComponent|
|GetChartComponentNum()||public int GetChartComponentNum(Type type)|
|GetChartComponentNum&lt;T&gt;()||public int GetChartComponentNum&lt;T&gt;() where T : MainComponent|
|GetChartComponents&lt;T&gt;()||public List&lt;MainComponent&gt; GetChartComponents&lt;T&gt;() where T : MainComponent|
|GetData()||public double GetData(int serieIndex, int dataIndex, int dimension = 1)|
|GetData()||public double GetData(string serieName, int dataIndex, int dimension = 1)|
|GetDataZoomOfAxis()||public DataZoom GetDataZoomOfAxis(Axis axis)|
|GetDataZoomOfSerie()||public void GetDataZoomOfSerie(Serie serie, out DataZoom xDataZoom, out DataZoom yDataZoom)|
|GetGrid()||public GridCoord GetGrid(Vector2 local)|
|GetGridOfDataZoom()||public GridCoord GetGridOfDataZoom(DataZoom dataZoom)|
|GetItemColor()||public Color32 GetItemColor(Serie serie)|
|GetItemColor()||public Color32 GetItemColor(Serie serie, SerieData serieData)|
|GetItemColor()||public Color32 GetItemColor(Serie serie, SerieData serieData, int colorIndex)|
|GetLegendRealShowNameColor()||public Color32 GetLegendRealShowNameColor(string name)|
|GetLegendRealShowNameIndex()||public int GetLegendRealShowNameIndex(string name)|
|GetMarkColor()||public Color32 GetMarkColor(Serie serie, SerieData serieData)<br/>获得Serie的标识颜色。 |
|GetOrAddChartComponent&lt;T&gt;()||public T GetOrAddChartComponent&lt;T&gt;() where T : MainComponent|
|GetPainter()||public Painter GetPainter(int index)|
|GetSerie()||public Serie GetSerie(int serieIndex)|
|GetSerie()||public Serie GetSerie(string serieName)|
|GetSerie&lt;T&gt;()||public T GetSerie&lt;T&gt;() where T : Serie|
|GetSerie&lt;T&gt;()||public T GetSerie&lt;T&gt;(int serieIndex) where T : Serie|
|GetSerieBarGap&lt;T&gt;()||public float GetSerieBarGap&lt;T&gt;() where T : Serie|
|GetSerieBarRealCount&lt;T&gt;()||public int GetSerieBarRealCount&lt;T&gt;() where T : Serie|
|GetSerieIndexIfStack&lt;T&gt;()||public int GetSerieIndexIfStack&lt;T&gt;(Serie currSerie) where T : Serie|
|GetSerieSameStackTotalValue&lt;T&gt;()||public double GetSerieSameStackTotalValue&lt;T&gt;(string stack, int dataIndex) where T : Serie|
|GetSeriesMinMaxValue()||public virtual void GetSeriesMinMaxValue(Axis axis, int axisIndex, out double tempMinValue, out double tempMaxValue)|
|GetSerieTotalGap&lt;T&gt;()||public float GetSerieTotalGap&lt;T&gt;(float categoryWidth, float gap, int index) where T : Serie|
|GetSerieTotalWidth&lt;T&gt;()||public float GetSerieTotalWidth&lt;T&gt;(float categoryWidth, float gap, int realBarCount) where T : Serie|
|GetTitlePosition()||public Vector3 GetTitlePosition(Title title)|
|GetVisualMapOfSerie()||public VisualMap GetVisualMapOfSerie(Serie serie)|
|GetXDataZoomOfSerie()||public DataZoom GetXDataZoomOfSerie(Serie serie)|
|GetXLerpColor()||public Color32 GetXLerpColor(Color32 areaColor, Color32 areaToColor, Vector3 pos, GridCoord grid)|
|GetYLerpColor()||public Color32 GetYLerpColor(Color32 areaColor, Color32 areaToColor, Vector3 pos, GridCoord grid)|
|HasChartComponent()||public bool HasChartComponent(Type type)|
|HasChartComponent&lt;T&gt;()||public bool HasChartComponent&lt;T&gt;()|
|HasSerie()||public bool HasSerie(Type type)|
|HasSerie&lt;T&gt;()||public bool HasSerie&lt;T&gt;() where T : Serie|
|Init()||public void Init(bool defaultChart = true)|
|InitAxisRuntimeData()||public virtual void InitAxisRuntimeData(Axis axis) { }|
|InsertSerie()||public void InsertSerie(Serie serie, int index = -1, bool addToHead = false)|
|InsertSerie&lt;T&gt;()||public T InsertSerie&lt;T&gt;(int index, string serieName = null, bool show = true) where T : Serie|
|Internal_CheckAnimation()||public void Internal_CheckAnimation()|
|IsActiveByLegend()||public virtual bool IsActiveByLegend(string legendName)<br/>Whether serie is activated. |
|IsAllAxisCategory()||public bool IsAllAxisCategory()<br/>纯类目轴。 |
|IsAllAxisValue()||public bool IsAllAxisValue()<br/>reutrn true when all the show axis is `Value` type. |
|IsInAnyGrid()||public bool IsInAnyGrid(Vector2 local)|
|IsInChart()||public bool IsInChart(float x, float y)|
|IsInChart()||public bool IsInChart(Vector2 local)<br/>坐标是否在图表范围内 |
|IsSerieName()||public bool IsSerieName(string name)|
|MoveDownSerie()||public bool MoveDownSerie(int serieIndex)|
|MoveUpSerie()||public bool MoveUpSerie(int serieIndex)|
|OnAfterDeserialize()||public void OnAfterDeserialize()|
|OnBeforeSerialize()||public void OnBeforeSerialize()|
|OnBeginDrag()||public override void OnBeginDrag(PointerEventData eventData)|
|OnDataZoomRangeChanged()||public virtual void OnDataZoomRangeChanged(DataZoom dataZoom)|
|OnDrag()||public override void OnDrag(PointerEventData eventData)|
|OnEndDrag()||public override void OnEndDrag(PointerEventData eventData)|
|OnLegendButtonClick()||public virtual void OnLegendButtonClick(int index, string legendName, bool show)|
|OnLegendButtonEnter()||public virtual void OnLegendButtonEnter(int index, string legendName)|
|OnLegendButtonExit()||public virtual void OnLegendButtonExit(int index, string legendName)|
|OnPointerClick()||public override void OnPointerClick(PointerEventData eventData)|
|OnPointerDown()||public override void OnPointerDown(PointerEventData eventData)|
|OnPointerEnter()||public override void OnPointerEnter(PointerEventData eventData)|
|OnPointerExit()||public override void OnPointerExit(PointerEventData eventData)|
|OnPointerUp()||public override void OnPointerUp(PointerEventData eventData)|
|OnScroll()||public override void OnScroll(PointerEventData eventData)|
|RefreshBasePainter()||public void RefreshBasePainter()|
|RefreshChart()||public void RefreshChart()<br/>Redraw chart in next frame. |
|RefreshChart()||public void RefreshChart(int serieIndex)<br/>Redraw chart serie in next frame. |
|RefreshChart()||public void RefreshChart(Serie serie)<br/>Redraw chart serie in next frame. |
|RefreshDataZoom()||public void RefreshDataZoom()<br/>在下一帧刷新DataZoom |
|RefreshGraph()||public override void RefreshGraph()|
|RefreshPainter()||public void RefreshPainter(int index)|
|RefreshPainter()||public void RefreshPainter(Serie serie)|
|RefreshTopPainter()||public void RefreshTopPainter()|
|RefreshUpperPainter()||public void RefreshUpperPainter()|
|RemoveAllChartComponent()||public void RemoveAllChartComponent()|
|RemoveAllSerie()|v3.2.0|public virtual void RemoveAllSerie()<br/>Remove all of them Serie. This interface is used when Serie needs to be removed only, and RemoveData() is generally used in other cases. |
|RemoveChartComponent()||public bool RemoveChartComponent(MainComponent component)|
|RemoveChartComponent()||public bool RemoveChartComponent(Type type, int index = 0)|
|RemoveChartComponent&lt;T&gt;()||public bool RemoveChartComponent&lt;T&gt;(int index = 0)|
|RemoveChartComponents()||public int RemoveChartComponents(Type type)|
|RemoveChartComponents&lt;T&gt;()||public int RemoveChartComponents&lt;T&gt;()|
|RemoveData()||public virtual void RemoveData()<br/>Empty all component data and remove all series. Use the chart again and again to tell the truth. Note: The component only clears the data part, and the parameters are retained and not reset. |
|RemoveData()||public virtual void RemoveData(string serieName)<br/>Remove legend and serie by name. |
|RemoveSerie()||public void RemoveSerie(int serieIndex)|
|RemoveSerie()||public void RemoveSerie(Serie serie)|
|RemoveSerie()||public void RemoveSerie(string serieName)|
|RemoveSerie&lt;T&gt;()||public void RemoveSerie&lt;T&gt;() where T : Serie|
|ReplaceSerie()||public bool ReplaceSerie(Serie oldSerie, Serie newSerie)|
|ResetDataIndex()||public bool ResetDataIndex(int serieIndex)<br/>重置serie的数据项索引。避免数据项索引异常。 |
|SetBasePainterMaterial()||public void SetBasePainterMaterial(Material material)<br/>设置Base Painter的材质球 |
|SetMaxCache()||public void SetMaxCache(int maxCache)<br/>设置可缓存的最大数据量。当数据量超过该值时，会自动删除第一个值再加入最新值。 |
|SetPainterActive()||public void SetPainterActive(int index, bool flag)|
|SetSerieActive()||public void SetSerieActive(int serieIndex, bool active)<br/>Whether to show serie. |
|SetSerieActive()||public void SetSerieActive(Serie serie, bool active)|
|SetSerieActive()||public void SetSerieActive(string serieName, bool active)<br/>Whether to show serie. |
|SetSeriePainterMaterial()||public void SetSeriePainterMaterial(Material material)<br/>设置Serie Painter的材质球 |
|SetTopPainterMaterial()||public void SetTopPainterMaterial(Material material)<br/>设置Top Painter的材质球 |
|SetUpperPainterMaterial()||public void SetUpperPainterMaterial(Material material)<br/>设置Upper Painter的材质球 |
|TriggerTooltip()|v3.7.0|public bool TriggerTooltip(int dataIndex, int serieIndex = 0)<br/>trigger tooltip by data index. |
|TriggerTooltip()|v3.7.0|public bool TriggerTooltip(Vector3 localPosition)<br/>trigger tooltip by chart local position. |
|TryAddChartComponent()||public bool TryAddChartComponent(Type type)|
|TryAddChartComponent&lt;T&gt;()||public bool TryAddChartComponent&lt;T&gt;() where T : MainComponent|
|TryAddChartComponent&lt;T&gt;()||public bool TryAddChartComponent&lt;T&gt;(out T component) where T : MainComponent|
|TryGetChartComponent&lt;T&gt;()||public bool TryGetChartComponent&lt;T&gt;(out T component, int index = 0)|
|UpdateData()||public bool UpdateData(int serieIndex, int dataIndex, double value)<br/>Update serie data by serie index. |
|UpdateData()||public bool UpdateData(int serieIndex, int dataIndex, int dimension, double value)<br/>更新指定系列指定索引指定维数的数据。维数从0开始。 |
|UpdateData()||public bool UpdateData(int serieIndex, int dataIndex, List&lt;double&gt; multidimensionalData)<br/>更新指定系列指定索引的数据项的多维数据。 |
|UpdateData()||public bool UpdateData(string serieName, int dataIndex, double value)<br/>Update serie data by serie name. |
|UpdateData()||public bool UpdateData(string serieName, int dataIndex, int dimension, double value)<br/>更新指定系列指定索引指定维数的数据。维数从0开始。 |
|UpdateData()||public bool UpdateData(string serieName, int dataIndex, List&lt;double&gt; multidimensionalData)<br/>更新指定系列指定索引的数据项的多维数据。 |
|UpdateDataName()||public bool UpdateDataName(int serieIndex, int dataIndex, string dataName)<br/>Update serie data name. |
|UpdateDataName()||public bool UpdateDataName(string serieName, int dataIndex, string dataName)<br/>Update serie data name. |
|UpdateLegendColor()||public virtual void UpdateLegendColor(string legendName, bool active)|
|UpdateTheme()||public bool UpdateTheme(ThemeType theme)<br/>Update chart theme. |
|UpdateTheme()||public void UpdateTheme(Theme theme)<br/>Update chart theme info. |
|UpdateXAxisData()||public void UpdateXAxisData(int index, string category, int xAxisIndex = 0)<br/>Update category data. |
|UpdateXAxisIcon()||public void UpdateXAxisIcon(int index, Sprite icon, int xAxisIndex = 0)<br/>Update xAxis icon. |
|UpdateYAxisData()||public void UpdateYAxisData(int index, string category, int yAxisIndex = 0)<br/>Update category data. |
|UpdateYAxisIcon()||public void UpdateYAxisIcon(int index, Sprite icon, int yAxisIndex = 0)<br/>更新Y轴图标。 |

## BaseGraph

> class in XCharts.Runtime / Inherits from: [MaskableGraphic](https://docs.unity3d.com/ScriptReference/30_search.html?q=maskablegraphic),[IPointerDownHandler](https://docs.unity3d.com/ScriptReference/30_search.html?q=ipointerdownhandler),[IPointerUpHandler](https://docs.unity3d.com/ScriptReference/30_search.html?q=ipointeruphandler),[](#) / Subclasses: [BaseChart](#basechart),[UIComponent](#uicomponent) 


|public method|since|description|
|--|--|--|
|onBeginDrag||public Action&lt;PointerEventData, BaseGraph&gt; onBeginDrag<br/>鼠标开始拖拽回调。 |
|onDrag||public Action&lt;PointerEventData, BaseGraph&gt; onDrag<br/>鼠标拖拽回调。 |
|onEndDrag||public Action&lt;PointerEventData, BaseGraph&gt; onEndDrag<br/>鼠标结束拖拽回调。 |
|onPointerClick||public Action&lt;PointerEventData, BaseGraph&gt; onPointerClick<br/>鼠标点击回调。 |
|onPointerDown||public Action&lt;PointerEventData, BaseGraph&gt; onPointerDown<br/>鼠标按下回调。 |
|onPointerEnter||public Action&lt;PointerEventData, BaseGraph&gt; onPointerEnter<br/>鼠标进入回调。 |
|onPointerExit||public Action&lt;PointerEventData, BaseGraph&gt; onPointerExit<br/>鼠标退出回调。 |
|onPointerUp||public Action&lt;PointerEventData, BaseGraph&gt; onPointerUp<br/>鼠标弹起回调。 |
|onScroll||public Action&lt;PointerEventData, BaseGraph&gt; onScroll<br/>鼠标滚动回调。 |
|CheckWarning()||public string CheckWarning()<br/>检测警告信息。 |
|LocalPointToScreenPoint()|v3.7.0|public Vector2 LocalPointToScreenPoint(Vector2 localPoint)<br/>chart local point to screen point. |
|LocalPointToWorldPoint()|v3.7.0|public Vector2 LocalPointToWorldPoint(Vector2 localPoint)<br/>chart local point to world point. |
|OnBeginDrag()||public virtual void OnBeginDrag(PointerEventData eventData)|
|OnDrag()||public virtual void OnDrag(PointerEventData eventData)|
|OnEndDrag()||public virtual void OnEndDrag(PointerEventData eventData)|
|OnPointerClick()||public virtual void OnPointerClick(PointerEventData eventData)|
|OnPointerDown()||public virtual void OnPointerDown(PointerEventData eventData)|
|OnPointerEnter()||public virtual void OnPointerEnter(PointerEventData eventData)|
|OnPointerExit()||public virtual void OnPointerExit(PointerEventData eventData)|
|OnPointerUp()||public virtual void OnPointerUp(PointerEventData eventData)|
|OnScroll()||public virtual void OnScroll(PointerEventData eventData)|
|RebuildChartObject()||public void RebuildChartObject()<br/>移除并重新创建所有图表的Object。 |
|RefreshAllComponent()||public void RefreshAllComponent()|
|RefreshGraph()||public virtual void RefreshGraph()<br/>Redraw graph in next frame. |
|SaveAsImage()||public void SaveAsImage(string imageType = "png", string savePath = "")<br/>保存图表为图片。 |
|ScreenPointToChartPoint()||public bool ScreenPointToChartPoint(Vector2 screenPoint, out Vector2 chartPoint)|
|SetPainterDirty()||public void SetPainterDirty()<br/>重新初始化Painter |
|SetSize()||public virtual void SetSize(float width, float height)<br/>设置图形的宽高（在非stretch pivot下才有效，其他情况需要自己调整RectTransform） |

## BaseLine

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent) / Subclasses: [AxisLine](#axisline),[AxisMinorSplitLine](#axisminorsplitline),[AxisMinorTick](#axisminortick),[AxisSplitLine](#axissplitline),[AxisTick](#axistick) 

Settings related to base line.

|public method|since|description|
|--|--|--|
|BaseLine()||public BaseLine()|
|BaseLine()||public BaseLine(bool show) : base()|
|Copy()||public void Copy(BaseLine axisLine)|
|GetColor()||public Color32 GetColor(Color32 themeColor)|
|GetLength()||public float GetLength(float themeLength)|
|GetType()||public LineStyle.Type GetType(LineStyle.Type themeType)|
|GetWidth()||public float GetWidth(float themeWidth)|

## BaseScatter

> class in XCharts.Runtime / Inherits from: [Serie](#serie),[INeedSerieContainer](#ineedseriecontainer) / Subclasses: [EffectScatter](#effectscatter),[Scatter](#scatter) 


## BaseSerie

> class in XCharts.Runtime / Subclasses: [Serie](#serie) 


|public method|since|description|
|--|--|--|
|ClearComponentDirty()||public static void ClearComponentDirty(ChildComponent component)|
|ClearComponentDirty()||public virtual void ClearComponentDirty()|
|ClearData()||public virtual void ClearData() { }|
|ClearDirty()||public virtual void ClearDirty()|
|ClearVerticesDirty()||public static void ClearVerticesDirty(ChildComponent component)|
|ClearVerticesDirty()||public virtual void ClearVerticesDirty()|
|IsComponentDirty()||public static bool IsComponentDirty(ChildComponent component)|
|IsVertsDirty()||public static bool IsVertsDirty(ChildComponent component)|
|OnAfterDeserialize()||public virtual void OnAfterDeserialize()|
|OnBeforeSerialize()||public virtual void OnBeforeSerialize() { }|
|OnDataUpdate()||public virtual void OnDataUpdate() { }|
|OnRemove()||public virtual void OnRemove()|
|RefreshLabel()||public void RefreshLabel()|
|SetAllDirty()||public virtual void SetAllDirty()|
|SetComponentDirty()||public virtual void SetComponentDirty()|
|SetVerticesDirty()||public virtual void SetVerticesDirty()|

## BlurStyle

> class in XCharts.Runtime / Inherits from: [StateStyle](#statestyle),[ISerieComponent](#iseriecomponent),[ISerieDataComponent](#iseriedatacomponent)

> Since `v3.2.0`

Configurations of blur state.

## CalendarCoord

> class in XCharts.Runtime / Inherits from: [CoordSystem](#coordsystem),[IUpdateRuntimeData](#iupdateruntimedata),[ISerieContainer](#iseriecontainer)


|public method|since|description|
|--|--|--|
|IsPointerEnter()||public bool IsPointerEnter()|
|UpdateRuntimeData()||public void UpdateRuntimeData(BaseChart chart)|

## Candlestick

> class in XCharts.Runtime / Inherits from: [Serie](#serie),[INeedSerieContainer](#ineedseriecontainer)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|

## CandlestickChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## ChartCached

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|ColorToDotStr()||public static string ColorToDotStr(Color color)|
|ColorToStr()||public static string ColorToStr(Color color)|
|FloatToStr()||public static string FloatToStr(double value, string numericFormatter = "F", int precision = 0)|
|GetSerieLabelName()||public static string GetSerieLabelName(string prefix, int i, int j)|
|GetString()||public static string GetString(string prefix, int suffix)|
|IntToStr()||public static string IntToStr(int value, string numericFormatter = "")|
|NumberToStr()||public static string NumberToStr(double value, string formatter)|

## ChartConst

> class in XCharts.Runtime


## ChartDrawer

> class in XCharts.Runtime


## ChartHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|ActiveAllObject()||public static void ActiveAllObject(Transform parent, bool active, string match = null)|
|AddIcon()||public static Image AddIcon(string name, Transform parent, IconStyle iconStyle)|
|Cancat()||public static string Cancat(string str1, int i)|
|Cancat()||public static string Cancat(string str1, string str2)|
|ClearEventListener()||public static void ClearEventListener(GameObject obj)|
|CopyArray&lt;T&gt;()||public static bool CopyArray&lt;T&gt;(T[] toList, T[] fromList)|
|CopyList&lt;T&gt;()||public static bool CopyList&lt;T&gt;(List&lt;T&gt; toList, List&lt;T&gt; fromList)|
|DestoryGameObject()||public static void DestoryGameObject(GameObject go)|
|DestoryGameObject()||public static void DestoryGameObject(Transform parent, string childName)|
|DestoryGameObjectByMatch()||public static void DestoryGameObjectByMatch(Transform parent, string containString)|
|DestroyAllChildren()||public static void DestroyAllChildren(Transform parent)|
|EnsureComponent&lt;T&gt;()||public static T EnsureComponent&lt;T&gt;(GameObject gameObject) where T : Component<br/>Ensure that the game object has the specified component, add it if not. |
|EnsureComponent&lt;T&gt;()||public static T EnsureComponent&lt;T&gt;(Transform transform) where T : Component<br/>Ensure that the transform has the specified component, add it if not. |
|GetActualValue()||public static float GetActualValue(float valueOrRate, float total, float maxRate = 1.5f)|
|GetAngle360()||public static float GetAngle360(Vector2 from, Vector2 to)<br/>获得0-360的角度（12点钟方向为0度） |
|GetBlurColor()||public static Color32 GetBlurColor(Color32 color, float a = 0.3f)|
|GetColor()||public static Color32 GetColor(string hexColorStr)|
|GetDire()||public static Vector3 GetDire(float angle, bool isDegree = false)|
|GetFullName()||public static string GetFullName(Transform transform)|
|GetHighlightColor()||public static Color32 GetHighlightColor(Color32 color, float rate = 0.8f)|
|GetLastValue()||public static Vector3 GetLastValue(List&lt;Vector3&gt; list)|
|GetMaxCeilRate()||public static double GetMaxCeilRate(double value, double ceilRate)|
|GetMaxDivisibleValue()||public static double GetMaxDivisibleValue(double max, double ceilRate)|
|GetMaxLogValue()||public static double GetMaxLogValue(double value, float logBase, bool isLogBaseE, out int splitNumber)|
|GetMinCeilRate()||public static double GetMinCeilRate(double value, double ceilRate)|
|GetMinDivisibleValue()||public static double GetMinDivisibleValue(double min, double ceilRate)|
|GetMinLogValue()||public static double GetMinLogValue(double value, float logBase, bool isLogBaseE, out int splitNumber)|
|GetOrAddComponent&lt;T&gt;()||public static T GetOrAddComponent&lt;T&gt;(GameObject gameObject) where T : Component|
|GetOrAddComponent&lt;T&gt;()||public static T GetOrAddComponent&lt;T&gt;(Transform transform) where T : Component|
|GetPointList()||public static void GetPointList(ref List&lt;Vector3&gt; posList, Vector3 sp, Vector3 ep, float k = 30f)|
|GetPos()||public static Vector3 GetPos(Vector3 center, float radius, float angle, bool isDegree = false)|
|GetPosition()||public static Vector3 GetPosition(Vector3 center, float angle, float radius)|
|GetSelectColor()||public static Color32 GetSelectColor(Color32 color, float rate = 0.8f)|
|GetVertialDire()||public static Vector3 GetVertialDire(Vector3 dire)|
|HideAllObject()||public static void HideAllObject(GameObject obj, string match = null)|
|HideAllObject()||public static void HideAllObject(Transform parent, string match = null)|
|IsClearColor()||public static bool IsClearColor(Color color)|
|IsClearColor()||public static bool IsClearColor(Color32 color)|
|IsColorAlphaZero()||public static bool IsColorAlphaZero(Color color)|
|IsEquals()||public static bool IsEquals(double d1, double d2)|
|IsEquals()||public static bool IsEquals(float d1, float d2)|
|IsIngore()||public static bool IsIngore(Vector3 pos)|
|IsInRect()||public static bool IsInRect(Vector3 pos, float xMin, float xMax, float yMin, float yMax)|
|IsPointInQuadrilateral()||public static bool IsPointInQuadrilateral(Vector3 P, Vector3 A, Vector3 B, Vector3 C, Vector3 D)|
|IsValueEqualsColor()||public static bool IsValueEqualsColor(Color color1, Color color2)|
|IsValueEqualsColor()||public static bool IsValueEqualsColor(Color32 color1, Color32 color2)|
|IsValueEqualsList&lt;T&gt;()||public static bool IsValueEqualsList&lt;T&gt;(List&lt;T&gt; list1, List&lt;T&gt; list2)|
|IsValueEqualsString()||public static bool IsValueEqualsString(string str1, string str2)|
|IsValueEqualsVector2()||public static bool IsValueEqualsVector2(Vector2 v1, Vector2 v2)|
|IsValueEqualsVector3()||public static bool IsValueEqualsVector3(Vector3 v1, Vector3 v2)|
|IsZeroVector()||public static bool IsZeroVector(Vector3 pos)|
|ParseFloatFromString()||public static List&lt;float&gt; ParseFloatFromString(string jsonData)|
|ParseStringFromString()||public static List&lt;string&gt; ParseStringFromString(string jsonData)|
|RemoveComponent&lt;T&gt;()||public static void RemoveComponent&lt;T&gt;(GameObject gameObject)|
|RotateRound()||public static Vector3 RotateRound(Vector3 position, Vector3 center, Vector3 axis, float angle)|
|SaveAsImage()||public static Texture2D SaveAsImage(RectTransform rectTransform, Canvas canvas, string imageType = "png", string path = "")|
|SetActive()||public static void SetActive(GameObject gameObject, bool active)|
|SetActive()||public static void SetActive(Image image, bool active)|
|SetActive()||public static void SetActive(Text text, bool active)|
|SetActive()||public static void SetActive(Transform transform, bool active)<br/>通过设置scale实现是否显示，优化性能，减少GC |
|SetBackground()||public static void SetBackground(Image background, ImageStyle imageStyle)|
|SetColorOpacity()||public static void SetColorOpacity(ref Color32 color, float opacity)|

## ChartLabel

> class in XCharts.Runtime / Inherits from: [Image](https://docs.unity3d.com/ScriptReference/30_search.html?q=image)


|public method|since|description|
|--|--|--|
|GetHeight()||public float GetHeight()|
|GetPosition()||public Vector3 GetPosition()|
|GetTextHeight()||public float GetTextHeight()|
|GetTextWidth()||public float GetTextWidth()|
|GetWidth()||public float GetWidth()|
|IsActiveByScale()||public bool IsActiveByScale()|
|SetActive()||public void SetActive(bool flag)|
|SetIcon()||public void SetIcon(Image image)|
|SetIconActive()||public void SetIconActive(bool flag)|
|SetIconSize()||public void SetIconSize(float width, float height)|
|SetIconSprite()||public void SetIconSprite(Sprite sprite)|
|SetPadding()||public void SetPadding(float[] padding)|
|SetPosition()||public void SetPosition(Vector3 position)|
|SetRectPosition()||public void SetRectPosition(Vector3 position)|
|SetRotate()||public void SetRotate(float rotate)|
|SetSize()||public void SetSize(float width, float height)|
|SetText()||public bool SetText(string text)|
|SetTextActive()||public void SetTextActive(bool flag)|
|SetTextColor()||public void SetTextColor(Color color)|
|SetTextPadding()||public void SetTextPadding(TextPadding padding)|
|SetTextRotate()||public void SetTextRotate(float rotate)|
|UpdateIcon()||public void UpdateIcon(IconStyle iconStyle, Sprite sprite = null, Color color = default(Color))|

## ChartObject

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|Destroy()||public virtual void Destroy()|

## ChartText

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|ChartText()||public ChartText()|
|ChartText()||public ChartText(GameObject textParent)|
|GetPreferredHeight()||public float GetPreferredHeight()|
|GetPreferredText()||public string GetPreferredText(string content, string suffix, float maxWidth)|
|GetPreferredWidth()||public float GetPreferredWidth()|
|GetPreferredWidth()||public float GetPreferredWidth(string content)|
|GetText()||public string GetText()|
|SetActive()||public void SetActive(bool flag)|
|SetAlignment()||public void SetAlignment(TextAnchor alignment)|
|SetColor()||public void SetColor(Color color)|
|SetFont()||public void SetFont(Font font)|
|SetFont()||public void SetFont(TMP_FontAsset font)|
|SetFontAndSizeAndStyle()||public void SetFontAndSizeAndStyle(TextStyle textStyle, ComponentTheme theme)|
|SetFontSize()||public void SetFontSize(float fontSize)|
|SetFontStyle()||public void SetFontStyle(FontStyle fontStyle)|
|SetLineSpacing()||public void SetLineSpacing(float lineSpacing)|
|SetLocalEulerAngles()||public void SetLocalEulerAngles(Vector3 position)|
|SetLocalPosition()||public void SetLocalPosition(Vector3 position)|
|SetRectPosition()||public void SetRectPosition(Vector3 position)|
|SetSizeDelta()||public void SetSizeDelta(Vector2 sizeDelta)|
|SetText()||public void SetText(string text)|

## CheckHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|CheckChart()||public static string CheckChart(BaseChart chart)|
|CheckChart()||public static string CheckChart(BaseGraph chart)|

## ChildComponent

> class in XCharts.Runtime / Subclasses: [AnimationStyle](#animationstyle),[AxisAnimation](#axisanimation),[AxisName](#axisname),[AxisSplitArea](#axissplitarea),[AreaStyle](#areastyle),[ArrowStyle](#arrowstyle),[BaseLine](#baseline),[IconStyle](#iconstyle),[ImageStyle](#imagestyle),[ItemStyle](#itemstyle),[Level](#level),[LevelStyle](#levelstyle),[LineArrow](#linearrow),[LineStyle](#linestyle),[Location](#location),[MLValue](#mlvalue),[MarqueeStyle](#marqueestyle),[Padding](#padding),[StageColor](#stagecolor),[SymbolStyle](#symbolstyle),[TextLimit](#textlimit),[TextStyle](#textstyle),[CommentItem](#commentitem),[CommentMarkStyle](#commentmarkstyle),[LabelLine](#labelline),[LabelStyle](#labelstyle),[MarkAreaData](#markareadata),[MarkLineData](#marklinedata),[StateStyle](#statestyle),[VisualMapRange](#visualmaprange),[UIComponentTheme](#uicomponenttheme),[SerieData](#seriedata),[ComponentTheme](#componenttheme),[SerieTheme](#serietheme),[ThemeStyle](#themestyle) 


|public method|since|description|
|--|--|--|
|ClearComponentDirty()||public static void ClearComponentDirty(ChildComponent component)|
|ClearComponentDirty()||public virtual void ClearComponentDirty()|
|ClearDirty()||public virtual void ClearDirty()|
|ClearVerticesDirty()||public static void ClearVerticesDirty(ChildComponent component)|
|ClearVerticesDirty()||public virtual void ClearVerticesDirty()|
|IsComponentDirty()||public static bool IsComponentDirty(ChildComponent component)|
|IsVertsDirty()||public static bool IsVertsDirty(ChildComponent component)|
|SetAllDirty()||public virtual void SetAllDirty()|
|SetComponentDirty()||public virtual void SetComponentDirty()|
|SetVerticesDirty()||public virtual void SetVerticesDirty()|

## ColorUtil

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|GetColor()||public static Color32 GetColor(string hexColorStr)<br/>Convert the html string to color. |

## Comment

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent),[IPropertyChanged](#ipropertychanged)

comment of chart.

|public method|since|description|
|--|--|--|
|GetLabelStyle()||public LabelStyle GetLabelStyle(int index)|
|GetMarkStyle()||public CommentMarkStyle GetMarkStyle(int index)|
|OnChanged()||public void OnChanged()<br/>Callback handling when parameters change. |

## CommentItem

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

comment of chart.

## CommentMarkStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

the comment mark style.

## ComponentHandlerAttribute

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)


|public method|since|description|
|--|--|--|
|ComponentHandlerAttribute()||public ComponentHandlerAttribute(Type handler)|
|ComponentHandlerAttribute()||public ComponentHandlerAttribute(Type handler, bool allowMultiple)|

## ComponentHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|GetAngleAxis()||public static AngleAxis GetAngleAxis(List&lt;MainComponent&gt; components, int polarIndex)|
|GetRadiusAxis()||public static RadiusAxis GetRadiusAxis(List&lt;MainComponent&gt; components, int polarIndex)|
|GetXAxisOnZeroOffset()||public static float GetXAxisOnZeroOffset(List&lt;MainComponent&gt; components, XAxis axis)|
|GetYAxisOnZeroOffset()||public static float GetYAxisOnZeroOffset(List&lt;MainComponent&gt; components, YAxis axis)|
|IsAnyCategoryOfYAxis()||public static bool IsAnyCategoryOfYAxis(List&lt;MainComponent&gt; components)|

## ComponentTheme

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent) / Subclasses: [BaseAxisTheme](#baseaxistheme),[DataZoomTheme](#datazoomtheme),[LegendTheme](#legendtheme),[SubTitleTheme](#subtitletheme),[TitleTheme](#titletheme),[TooltipTheme](#tooltiptheme),[VisualMapTheme](#visualmaptheme) 


|public method|since|description|
|--|--|--|
|ComponentTheme()||public ComponentTheme(ThemeType theme)|
|Copy()||public virtual void Copy(ComponentTheme theme)|
|Reset()||public virtual void Reset(ComponentTheme defaultTheme)|

## CoordOptionsAttribute

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)


|public method|since|description|
|--|--|--|
|Contains&lt;T&gt;()||public bool Contains&lt;T&gt;() where T : CoordSystem|
|CoordOptionsAttribute()||public CoordOptionsAttribute(Type coord)|
|CoordOptionsAttribute()||public CoordOptionsAttribute(Type coord, Type coord2)|
|CoordOptionsAttribute()||public CoordOptionsAttribute(Type coord, Type coord2, Type coord3)|
|CoordOptionsAttribute()||public CoordOptionsAttribute(Type coord, Type coord2, Type coord3, Type coord4)|

## CoordSystem

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent) / Subclasses: [RadarCoord](#radarcoord),[CalendarCoord](#calendarcoord),[GridCoord](#gridcoord),[ParallelCoord](#parallelcoord),[PolarCoord](#polarcoord),[SingleAxisCoord](#singleaxiscoord) 

Coordinate system component.

## DataZoom

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent),[IUpdateRuntimeData](#iupdateruntimedata)

DataZoom component is used for zooming a specific area, which enables user to investigate data in detail, or get an overview of the data, or get rid of outlier points.

|public method|since|description|
|--|--|--|
|GetBackgroundColor()||public Color32 GetBackgroundColor(Color32 themeColor)|
|GetBorderColor()||public Color32 GetBorderColor(Color32 themeColor)|
|GetFillerColor()||public Color32 GetFillerColor(Color32 themeColor)|
|IsContainsAxis()||public bool IsContainsAxis(Axis axis)|
|IsContainsXAxis()||public bool IsContainsXAxis(int index)|
|IsContainsYAxis()||public bool IsContainsYAxis(int index)|
|IsInEndZoom()||public bool IsInEndZoom(Vector2 pos)<br/>给定的坐标是否在结束活动条触发区域内 |
|IsInMarqueeArea()||public bool IsInMarqueeArea(SerieData serieData)|
|IsInMarqueeArea()||public bool IsInMarqueeArea(Vector2 pos)|
|IsInSelectedZoom()||public bool IsInSelectedZoom(int totalIndex, int index, bool invert)|
|IsInSelectedZoom()||public bool IsInSelectedZoom(Vector2 pos)<br/>给定的坐标是否在选中区域内 |
|IsInStartZoom()||public bool IsInStartZoom(Vector2 pos)<br/>给定的坐标是否在开始活动条触发区域内 |
|IsInZoom()||public bool IsInZoom(Vector2 pos)<br/>给定的坐标是否在缩放区域内 |
|SetDefaultValue()||public override void SetDefaultValue()|
|UpdateRuntimeData()||public void UpdateRuntimeData(BaseChart chart)|

## DataZoomContext

> class in XCharts.Runtime / Inherits from: [MainComponentContext](#maincomponentcontext)


## DataZoomHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|UpdateDataZoomRuntimeStartEndValue()||public static void UpdateDataZoomRuntimeStartEndValue(DataZoom dataZoom, Serie serie)|
|UpdateDataZoomRuntimeStartEndValue&lt;T&gt;()||public static void UpdateDataZoomRuntimeStartEndValue&lt;T&gt;(BaseChart chart) where T : Serie|

## DataZoomTheme

> class in XCharts.Runtime / Inherits from: [ComponentTheme](#componenttheme)


|public method|since|description|
|--|--|--|
|Copy()||public void Copy(DataZoomTheme theme)|
|DataZoomTheme()||public DataZoomTheme(ThemeType theme) : base(theme)|

## DateTimeUtil

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|GetDateTime()||public static DateTime GetDateTime(int timestamp)|
|GetTimestamp()||public static int GetTimestamp()|
|GetTimestamp()||public static int GetTimestamp(DateTime time)|

## DebugInfo

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|Init()||public void Init(BaseChart chart)|
|Update()||public void Update()|

## DefaultAnimationAttribute

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)


|public method|since|description|
|--|--|--|
|DefaultAnimationAttribute()||public DefaultAnimationAttribute(AnimationType handler)|
|DefaultAnimationAttribute()||public DefaultAnimationAttribute(AnimationType handler, bool enableSerieDataAddedAnimation)|

## DefaultTooltipAttribute

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)


|public method|since|description|
|--|--|--|
|DefaultTooltipAttribute()||public DefaultTooltipAttribute(Tooltip.Type type, Tooltip.Trigger trigger)|

## DefineSymbolsUtil

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|AddGlobalDefine()||public static void AddGlobalDefine(string symbol)|
|RemoveGlobalDefine()||public static void RemoveGlobalDefine(string symbol)|

## EffectScatter

> class in XCharts.Runtime / Inherits from: [BaseScatter](#basescatter)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|

## EmphasisStyle

> class in XCharts.Runtime / Inherits from: [StateStyle](#statestyle),[ISerieComponent](#iseriecomponent),[ISerieDataComponent](#iseriedatacomponent)

> Since `v3.2.0`

Configurations of emphasis state.

## EndLabelStyle

> class in XCharts.Runtime / Inherits from: [LabelStyle](#labelstyle)


|public method|since|description|
|--|--|--|
|EndLabelStyle()||public EndLabelStyle()|

## FormatterHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|NeedFormat()||public static bool NeedFormat(string content)|
|ReplaceAxisLabelContent()||public static void ReplaceAxisLabelContent(ref string content, string numericFormatter, double value)|
|ReplaceAxisLabelContent()||public static void ReplaceAxisLabelContent(ref string content, string value)|
|TrimAndReplaceLine()||public static string TrimAndReplaceLine(string content)|
|TrimAndReplaceLine()||public static string TrimAndReplaceLine(StringBuilder sb)|

## GridCoord

> class in XCharts.Runtime / Inherits from: [CoordSystem](#coordsystem),[IUpdateRuntimeData](#iupdateruntimedata),[ISerieContainer](#iseriecontainer)

Grid component.

|public method|since|description|
|--|--|--|
|BoundaryPoint()||public bool BoundaryPoint(Vector3 sp, Vector3 ep, ref List&lt;Vector3&gt; point)<br/>给定的线段和Grid边界的交点 |
|BoundaryPoint()||public bool BoundaryPoint(Vector3 sp, Vector3 ep, ref Vector3 point)<br/>给定的线段和Grid边界的交点 |
|Clamp()|v3.7.0|public void Clamp(ref Vector3 pos)<br/>Clamp the position of pos to the grid. |
|ClampX()|v3.7.0|public void ClampX(ref Vector3 pos)<br/>Clamp the x position of pos to the grid. |
|ClampY()|v3.7.0|public void ClampY(ref Vector3 pos)<br/>Clamp the y position of pos to the grid. |
|Contains()||public bool Contains(float x, float y)<br/>Whether the given position is in the grid. |
|Contains()||public bool Contains(Vector3 pos)<br/>Whether the given position is in the grid. |
|Contains()|v3.7.0|public bool Contains(Vector3 pos, bool isYAxis)<br/>Whether the given position is in the grid. |
|ContainsX()|v3.7.0|public bool ContainsX(float x)<br/>Whether the given x is in the grid. |
|ContainsY()|v3.7.0|public bool ContainsY(float y)<br/>Whether the given y is in the grid. |
|IsPointerEnter()||public bool IsPointerEnter()<br/>Whether the pointer is in the grid. |
|UpdateRuntimeData()||public void UpdateRuntimeData(BaseChart chart)|

## GridCoordContext

> class in XCharts.Runtime / Inherits from: [MainComponentContext](#maincomponentcontext)


## GridLayout

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent),[IUpdateRuntimeData](#iupdateruntimedata)

> Since `v3.8.0`

Grid layout component. Used to manage the layout of multiple `GridCoord`, and the number of rows and columns of the grid can be controlled by `row` and `column`.

|public method|since|description|
|--|--|--|
|UpdateRuntimeData()||public void UpdateRuntimeData(BaseChart chart)|

## GridLayoutContext

> class in XCharts.Runtime / Inherits from: [MainComponentContext](#maincomponentcontext)


## Heatmap

> class in XCharts.Runtime / Inherits from: [Serie](#serie),[INeedSerieContainer](#ineedseriecontainer)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|

## HeatmapChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## IconStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)


|public method|since|description|
|--|--|--|
|Clone()||public IconStyle Clone()|
|Copy()||public void Copy(IconStyle iconStyle)|
|Reset()||public void Reset()|

## IgnoreDoc

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)


|public method|since|description|
|--|--|--|
|IgnoreDoc()||public IgnoreDoc()|

## ImageStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent),[ISerieComponent](#iseriecomponent),[ISerieDataComponent](#iseriedatacomponent)


|public method|since|description|
|--|--|--|
|Clone()||public ImageStyle Clone()|
|Copy()||public void Copy(ImageStyle imageStyle)|
|Reset()||public void Reset()|

## Indicator

> class in XCharts.Runtime

Indicator of radar chart, which is used to assign multiple variables(dimensions) in radar chart.

|public method|since|description|
|--|--|--|
|AddIndicator()||public RadarCoord.Indicator AddIndicator(string name, double min, double max)|
|AddIndicator()||public void AddIndicator(RadarCoord.Indicator indicator)|
|AddIndicatorList()|v3.3.0|public void AddIndicatorList(List&lt;string&gt; nameList, double min = 0, double max = 0)|
|ClearData()||public override void ClearData()|
|GetFormatterIndicatorContent()||public string GetFormatterIndicatorContent(int indicatorIndex)|
|GetFormatterIndicatorContent()||public string GetFormatterIndicatorContent(string indicatorName)|
|GetIndicator()||public RadarCoord.Indicator GetIndicator(int indicatorIndex)|
|GetIndicatorMax()||public double GetIndicatorMax(int index)|
|GetIndicatorMin()||public double GetIndicatorMin(int index)|
|GetIndicatorName()||public string GetIndicatorName(int indicatorIndex)|
|GetIndicatorPosition()||public Vector3 GetIndicatorPosition(int index)|
|IsInIndicatorRange()||public bool IsInIndicatorRange(int index, double value)|
|IsInRange()||public bool IsInRange(double value)|
|IsPointerEnter()||public bool IsPointerEnter()|
|SetDefaultValue()||public override void SetDefaultValue()|
|UpdateIndicator()||public bool UpdateIndicator(int indicatorIndex, string name, double min, double max)|

## INeedSerieContainer

> class in XCharts.Runtime / Subclasses: [Bar](#bar),[SimplifiedBar](#simplifiedbar),[Candlestick](#candlestick),[SimplifiedCandlestick](#simplifiedcandlestick),[Heatmap](#heatmap),[Line](#line),[SimplifiedLine](#simplifiedline),[Parallel](#parallel),[Radar](#radar),[BaseScatter](#basescatter) 


## InputHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|GetKeyDown()||public static bool GetKeyDown(KeyCode keyCode)|
|GetTouch()||public static Touch GetTouch(int v)|

## InteractData

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|Reset()||public void Reset()|
|SetColor()||public void SetColor(ref bool needInteract, Color32 color)|
|SetColor()||public void SetColor(ref bool needInteract, Color32 color, Color32 toColor)|
|SetPosition()||public void SetPosition(ref bool needInteract, Vector3 pos)|
|SetValue()||public void SetValue(ref bool needInteract, float value, bool highlight, float rate = 1.3f)|
|SetValue()||public void SetValue(ref bool needInteract, float value, bool previousValueZero = false)|
|SetValueAndColor()||public void SetValueAndColor(ref bool needInteract, float value, Color32 color)|
|SetValueAndColor()||public void SetValueAndColor(ref bool needInteract, float value, Color32 color, Color32 toColor)|
|ToString()||public override string ToString()|
|TryGetColor()||public bool TryGetColor(ref Color32 color, ref bool interacting, float animationDuration = 250)|
|TryGetColor()||public bool TryGetColor(ref Color32 color, ref Color32 toColor, ref bool interacting, float animationDuration = 250)|
|TryGetPosition()||public bool TryGetPosition(ref Vector3 pos, ref bool interacting, float animationDuration = 250)|
|TryGetValue()||public bool TryGetValue(ref float value, ref bool interacting, float animationDuration = 250)|
|TryGetValueAndColor()||public bool TryGetValueAndColor(ref float value, ref Color32 color, ref Color32 toColor, ref bool interacting, float animationDuration = 250)|
|TryGetValueAndColor()||public bool TryGetValueAndColor(ref float value, ref Vector3 pos, ref bool interacting, float animationDuration = 250)|
|TryGetValueAndColor()||public bool TryGetValueAndColor(ref float value, ref Vector3 pos, ref Color32 color, ref Color32 toColor, ref bool interacting, float animationDuration = 250)|

## IPropertyChanged

> class in XCharts.Runtime / Subclasses: [Location](#location),[Comment](#comment),[Legend](#legend),[Title](#title) 

属性变更接口

## ISerieComponent

> class in XCharts.Runtime / Subclasses: [AreaStyle](#areastyle),[ImageStyle](#imagestyle),[LineArrow](#linearrow),[LabelLine](#labelline),[LabelStyle](#labelstyle),[BlurStyle](#blurstyle),[EmphasisStyle](#emphasisstyle),[SelectStyle](#selectstyle),[TitleStyle](#titlestyle) 

The interface for serie component.

## ISerieContainer

> class in XCharts.Runtime / Subclasses: [RadarCoord](#radarcoord),[CalendarCoord](#calendarcoord),[GridCoord](#gridcoord),[ParallelCoord](#parallelcoord),[PolarCoord](#polarcoord) 


## ISerieDataComponent

> class in XCharts.Runtime / Subclasses: [AreaStyle](#areastyle),[ImageStyle](#imagestyle),[ItemStyle](#itemstyle),[LineStyle](#linestyle),[SerieSymbol](#seriesymbol),[LabelLine](#labelline),[LabelStyle](#labelstyle),[BlurStyle](#blurstyle),[EmphasisStyle](#emphasisstyle),[SelectStyle](#selectstyle),[TitleStyle](#titlestyle) 

The interface for serie data component.

## ISimplifiedSerie

> class in XCharts.Runtime / Subclasses: [SimplifiedBar](#simplifiedbar),[SimplifiedCandlestick](#simplifiedcandlestick),[SimplifiedLine](#simplifiedline) 


## ItemStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent),[ISerieDataComponent](#iseriedatacomponent)

图形样式。

|public method|since|description|
|--|--|--|
|GetBorderColor()||public Color32 GetBorderColor(Color32 defaultColor)|
|GetBorderColor0()||public Color32 GetBorderColor0(Color32 defaultColor)|
|GetColor()||public Color32 GetColor()|
|GetColor()||public Color32 GetColor(Color32 defaultColor)|
|GetColor0()||public Color32 GetColor0()|
|GetColor0()||public Color32 GetColor0(Color32 defaultColor)|
|GetGradientColor()||public Color32 GetGradientColor(float value, Color32 defaultColor)|
|GetToColor()||public Color32 GetToColor()|
|IsNeedCorner()||public bool IsNeedCorner()|
|IsNeedGradient()||public bool IsNeedGradient()|
|NeedShowBorder()||public bool NeedShowBorder()<br/>是否需要显示边框。 |
|Reset()||public void Reset()|

## IUpdateRuntimeData

> class in XCharts.Runtime / Subclasses: [SingleAxis](#singleaxis),[DataZoom](#datazoom),[CalendarCoord](#calendarcoord),[GridCoord](#gridcoord),[GridLayout](#gridlayout),[ParallelCoord](#parallelcoord) 


## LabelLine

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent),[ISerieComponent](#iseriecomponent),[ISerieDataComponent](#iseriedatacomponent)

标签的引导线

|public method|since|description|
|--|--|--|
|GetEndSymbolOffset()||public Vector3 GetEndSymbolOffset()|
|GetStartSymbolOffset()||public Vector3 GetStartSymbolOffset()|
|Reset()||public void Reset()|

## LabelStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent),[ISerieComponent](#iseriecomponent),[ISerieDataComponent](#iseriedatacomponent) / Subclasses: [AxisLabel](#axislabel),[EndLabelStyle](#endlabelstyle),[TitleStyle](#titlestyle) 

Text label of chart, to explain some data information about graphic item like value, name and so on.

|public method|since|description|
|--|--|--|
|Clone()||public virtual LabelStyle Clone()|
|Copy()||public virtual void Copy(LabelStyle label)|
|GetColor()||public Color GetColor(Color defaultColor)|
|GetFormatterContent()||public virtual string GetFormatterContent(int labelIndex, double value, double minValue, double maxValue, bool isLog = false)|
|GetFormatterContent()||public virtual string GetFormatterContent(int labelIndex, string category)|
|GetFormatterDateTime()||public string GetFormatterDateTime(int labelIndex, double value, double minValue, double maxValue)|
|GetOffset()||public Vector3 GetOffset(float radius)|
|IsAutoSize()||public bool IsAutoSize()|
|IsDefaultPosition()||public bool IsDefaultPosition(Position position)|
|IsInside()||public bool IsInside()<br/>whether the label is inside. |
|Reset()||public void Reset()|

## Lang

> class in XCharts.Runtime / Inherits from: [ScriptableObject](https://docs.unity3d.com/ScriptReference/30_search.html?q=scriptableobject)

Language.

|public method|since|description|
|--|--|--|
|GetCandlestickDimensionName()||public string GetCandlestickDimensionName(int i)|
|GetDay()||public string GetDay(int day)|
|GetMonthAbbr()||public string GetMonthAbbr(int month)|

## LangCandlestick

> class in XCharts.Runtime


## LangTime

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|List&lt;string&gt;()||public List&lt;string&gt; dayOfMonth = new List&lt;string&gt;()|
|List&lt;string&gt;()||public List&lt;string&gt; dayOfWeek = new List&lt;string&gt;()|
|List&lt;string&gt;()||public List&lt;string&gt; dayOfWeekAbbr = new List&lt;string&gt;()|
|List&lt;string&gt;()||public List&lt;string&gt; monthAbbr = new List&lt;string&gt;()|
|List&lt;string&gt;()||public List&lt;string&gt; months = new List&lt;string&gt;()|

## LayerHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|IsFixedWidthHeight()||public static bool IsFixedWidthHeight(RectTransform rt)|
|IsStretchPivot()||public static bool IsStretchPivot(RectTransform rt)|

## Legend

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent),[IPropertyChanged](#ipropertychanged)

Legend component.The legend component shows different sets of tags, colors, and names. You can control which series are not displayed by clicking on the legend.

|public method|since|description|
|--|--|--|
|AddData()||public void AddData(string name)<br/>Add legend data. |
|ClearComponentDirty()||public override void ClearComponentDirty()|
|ClearData()||public override void ClearData()<br/>Clear legend data. |
|ContainsData()||public bool ContainsData(string name)<br/>Whether include in legend data by the specified name. |
|GetColor()||public Color GetColor(int index)|
|GetData()||public string GetData(int index)<br/>Gets the legend for the specified index. |
|GetIcon()||public Sprite GetIcon(int index)<br/>Gets the legend button for the specified index. |
|GetIndex()||public int GetIndex(string legendName)<br/>Gets the index of the specified legend. |
|GetPosition()||public Vector3 GetPosition(int index, Vector3 defaultPos)|
|OnChanged()||public void OnChanged()<br/>Callback handling when parameters change. |
|RemoveButton()||public void RemoveButton()<br/>Remove all legend buttons. |
|RemoveData()||public void RemoveData(string name)<br/>Removes the legend with the specified name. |
|SetButton()||public void SetButton(string name, LegendItem item, int total)<br/>Bind buttons to legends. |
|UpdateButtonColor()||public void UpdateButtonColor(string name, Color color)<br/>Update the legend button color. |
|UpdateContentColor()||public void UpdateContentColor(string name, Color color)<br/>Update the text color of legend. |

## LegendContext

> class in XCharts.Runtime / Inherits from: [MainComponentContext](#maincomponentcontext)


## LegendHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|CheckDataHighlighted()||public static int CheckDataHighlighted(Serie serie, string legendName, bool heighlight)|
|CheckDataShow()||public static bool CheckDataShow(Serie serie, string legendName, bool show)|
|GetContentColor()||public static Color GetContentColor(BaseChart chart, int legendIndex, string legendName, Legend legend, ThemeStyle theme, bool active)|
|GetIconColor()||public static Color GetIconColor(BaseChart chart, Legend legend, int readIndex, string legendName, bool active)|
|ResetItemPosition()||public static void ResetItemPosition(Legend legend, Vector3 chartPos, float chartWidth, float chartHeight)|
|SetLegendBackground()||public static void SetLegendBackground(Legend legend, ImageStyle style)|

## LegendItem

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|GetIconColor()||public Color GetIconColor()|
|GetIconRect()||public Rect GetIconRect()|
|SetActive()||public void SetActive(bool active)|
|SetBackground()||public void SetBackground(ImageStyle imageStyle)|
|SetButton()||public void SetButton(Button button)|
|SetContent()||public bool SetContent(string content)|
|SetContentBackgroundColor()||public void SetContentBackgroundColor(Color color)|
|SetContentColor()||public void SetContentColor(Color color)|
|SetContentPosition()||public void SetContentPosition(Vector3 offset)|
|SetIcon()||public void SetIcon(Image icon)|
|SetIconActive()||public void SetIconActive(bool active)|
|SetIconColor()||public void SetIconColor(Color color)|
|SetIconImage()||public void SetIconImage(Sprite image)|
|SetIconSize()||public void SetIconSize(float width, float height)|
|SetObject()||public void SetObject(GameObject obj)|
|SetPosition()||public void SetPosition(Vector3 position)|
|SetText()||public void SetText(ChartText text)|
|SetTextBackground()||public void SetTextBackground(Image image)|

## LegendTheme

> class in XCharts.Runtime / Inherits from: [ComponentTheme](#componenttheme)


|public method|since|description|
|--|--|--|
|Copy()||public void Copy(LegendTheme theme)|
|LegendTheme()||public LegendTheme(ThemeType theme) : base(theme)|

## Level

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)


## LevelStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)


## Line

> class in XCharts.Runtime / Inherits from: [Serie](#serie),[INeedSerieContainer](#ineedseriecontainer)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|
|ConvertSerie()||public static Line ConvertSerie(Serie serie)|

## LineArrow

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent),[ISerieComponent](#iseriecomponent)


## LineChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## LineStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent),[ISerieDataComponent](#iseriedatacomponent)

The style of line.

|public method|since|description|
|--|--|--|
|Clone()||public LineStyle Clone()|
|Copy()||public void Copy(LineStyle lineStyle)|
|GetColor()||public Color32 GetColor()|
|GetColor()||public Color32 GetColor(Color32 themeColor)|
|GetGradientColor()||public Color32 GetGradientColor(float value, Color32 defaultColor)|
|GetLength()||public float GetLength(float themeLength)|
|GetType()||public Type GetType(Type themeType)|
|GetWidth()||public float GetWidth(float themeWidth)|
|IsNeedGradient()||public bool IsNeedGradient()|
|IsNotSolidLine()||public bool IsNotSolidLine()|
|LineStyle()||public LineStyle()|
|LineStyle()||public LineStyle(float width)|
|LineStyle()||public LineStyle(LineStyle.Type type)|
|LineStyle()||public LineStyle(LineStyle.Type type, float width)|

## ListFor

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute) / Subclasses: [ListForComponent](#listforcomponent),[ListForSerie](#listforserie) 


|public method|since|description|
|--|--|--|
|ListFor()||public ListFor(Type type)|

## ListForComponent

> class in XCharts.Runtime / Inherits from: [ListFor](#listfor)


|public method|since|description|
|--|--|--|
|ListForComponent()||public ListForComponent(Type type) : base(type)|

## ListForSerie

> class in XCharts.Runtime / Inherits from: [ListFor](#listfor)


|public method|since|description|
|--|--|--|
|ListForSerie()||public ListForSerie(Type type) : base(type)|

## Location

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent),[IPropertyChanged](#ipropertychanged)

Location type. Quick to set the general location.

|public method|since|description|
|--|--|--|
|GetPosition()||public Vector3 GetPosition(float chartWidth, float chartHeight)<br/>返回在坐标系中的具体位置 |
|IsBottom()||public bool IsBottom()|
|IsCenter()||public bool IsCenter()|
|IsTop()||public bool IsTop()|
|OnChanged()||public void OnChanged()<br/>属性变更时更新textAnchor,minAnchor,maxAnchor,pivot |
|UpdateRuntimeData()||public void UpdateRuntimeData(float chartWidth, float chartHeight)|

## MainComponent

> class in XCharts.Runtime / Inherits from: [IComparable](https://docs.unity3d.com/ScriptReference/30_search.html?q=icomparable) / Subclasses: [Axis](#axis),[Background](#background),[Comment](#comment),[DataZoom](#datazoom),[Legend](#legend),[MarkArea](#markarea),[MarkLine](#markline),[Settings](#settings),[Title](#title),[Tooltip](#tooltip),[VisualMap](#visualmap),[GridLayout](#gridlayout),[CoordSystem](#coordsystem) 


|public method|since|description|
|--|--|--|
|ClearComponentDirty()||public virtual void ClearComponentDirty()|
|ClearData()||public virtual void ClearData() { }|
|ClearDirty()||public virtual void ClearDirty()|
|ClearVerticesDirty()||public virtual void ClearVerticesDirty()|
|CompareTo()||public int CompareTo(object obj)|
|OnRemove()||public virtual void OnRemove()|
|Reset()||public virtual void Reset() { }|
|SetAllDirty()||public virtual void SetAllDirty()|
|SetComponentDirty()||public virtual void SetComponentDirty()|
|SetDefaultValue()||public virtual void SetDefaultValue() { }|
|SetVerticesDirty()||public virtual void SetVerticesDirty()|

## MainComponentContext

> class in XCharts.Runtime / Subclasses: [AxisContext](#axiscontext),[DataZoomContext](#datazoomcontext),[LegendContext](#legendcontext),[RadarCoordContext](#radarcoordcontext),[VisualMapContext](#visualmapcontext),[GridCoordContext](#gridcoordcontext),[GridLayoutContext](#gridlayoutcontext),[ParallelCoordContext](#parallelcoordcontext),[PolarCoordContext](#polarcoordcontext) 


## MainComponentHandler

> class in XCharts.Runtime / Subclasses: [AxisHandler&lt;T&gt;](#axishandlert),[MainComponentHandler&lt;T&gt;](#maincomponenthandlert) 


|public method|since|description|
|--|--|--|
|BeforceSerieUpdate()||public virtual void BeforceSerieUpdate() { }|
|CheckComponent()||public virtual void CheckComponent(StringBuilder sb) { }|
|DrawBase()||public virtual void DrawBase(VertexHelper vh) { }|
|DrawTop()||public virtual void DrawTop(VertexHelper vh) { }|
|DrawUpper()||public virtual void DrawUpper(VertexHelper vh) { }|
|InitComponent()||public virtual void InitComponent() { }|
|OnBeginDrag()||public virtual void OnBeginDrag(PointerEventData eventData) { }|
|OnDrag()||public virtual void OnDrag(PointerEventData eventData) { }|
|OnEndDrag()||public virtual void OnEndDrag(PointerEventData eventData) { }|
|OnPointerClick()||public virtual void OnPointerClick(PointerEventData eventData) { }|
|OnPointerDown()||public virtual void OnPointerDown(PointerEventData eventData) { }|
|OnPointerEnter()||public virtual void OnPointerEnter(PointerEventData eventData) { }|
|OnPointerExit()||public virtual void OnPointerExit(PointerEventData eventData) { }|
|OnPointerUp()||public virtual void OnPointerUp(PointerEventData eventData) { }|
|OnScroll()||public virtual void OnScroll(PointerEventData eventData) { }|
|OnSerieDataUpdate()||public virtual void OnSerieDataUpdate(int serieIndex) { }|
|RemoveComponent()||public virtual void RemoveComponent() { }|
|Update()||public virtual void Update() { }|

## MainComponentHandler&lt;T&gt;

> class in XCharts.Runtime / Inherits from: [MainComponentHandler](#maincomponenthandler)


## MarkArea

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent)

Used to mark an area in chart. For example, mark a time interval.

|public method|since|description|
|--|--|--|
|SetDefaultValue()||public override void SetDefaultValue()|

## MarkAreaData

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

标域的数据。

## MarkLine

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent)

Use a line in the chart to illustrate.

|public method|since|description|
|--|--|--|
|SetDefaultValue()||public override void SetDefaultValue()|

## MarkLineData

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

> Since `v3.9.0`

Data of marking line.

## MarqueeStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

> Since `v3.5.0`

Marquee style. It can be used for the DataZoom component. 选取框样式。可用于DataZoom组件。

|public method|since|description|
|--|--|--|
|onEnd||public Action&lt;DataZoom&gt; onEnd<br/>Customize the callback at the end of the selection. |
|onGoing||public Action&lt;DataZoom&gt; onGoing<br/>Custom checkboxes select ongoing callbacks. |
|onStart||public Action&lt;DataZoom&gt; onStart<br/>Customize the callback to the start of the selection of the checkbox. |

## MathUtil

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|Abs()||public static double Abs(double d)|
|Approximately()||public static bool Approximately(double a, double b)|
|Clamp()||public static double Clamp(double d, double min, double max)|
|Clamp01()||public static double Clamp01(double value)|
|GetPrecision()||public static int GetPrecision(double value)|
|IsInteger()||public static bool IsInteger(double value)|
|Lerp()||public static double Lerp(double a, double b, double t)|

## MLValue

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

> Since `v3.8.0`

多样式数值。

|public method|since|description|
|--|--|--|
|GetValue()||public float GetValue(float total)<br/>Get the value by type. |
|MLValue()||public MLValue(float value)|
|MLValue()||public MLValue(Type type, float value)|

## MonoBehaviour

> class in  / Subclasses: [XLog](#xlog) 


## ObjectPool&lt;T&gt; where T

> class in XCharts.Runtime / Inherits from: [new()](#new())


|public method|since|description|
|--|--|--|
|ClearAll()||public void ClearAll()|
|Get()||public T Get()|
|new()||public class ObjectPool&lt;T&gt; where T : new()|
|ObjectPool()||public ObjectPool(UnityAction&lt;T&gt; actionOnGet, UnityAction&lt;T&gt; actionOnRelease, bool newIfEmpty = true)|
|Release()||public void Release(T element)|

## Padding

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent) / Subclasses: [TextPadding](#textpadding) 

padding setting of item or text.

|public method|since|description|
|--|--|--|
|Padding()||public Padding() { }|
|Padding()||public Padding(float top, float right, float bottom, float left)|
|SetPadding()||public void SetPadding(float top, float right, float bottom, float left)|

## Painter

> class in XCharts.Runtime / Inherits from: [MaskableGraphic](https://docs.unity3d.com/ScriptReference/30_search.html?q=maskablegraphic)


|public method|since|description|
|--|--|--|
|onPopulateMesh||public Action&lt;VertexHelper, Painter&gt; onPopulateMesh|
|CheckRefresh()||public void CheckRefresh()|
|Init()||public void Init()|
|Refresh()||public void Refresh()|
|SetActive()||public void SetActive(bool flag, bool isDebugMode = false)|

## Parallel

> class in XCharts.Runtime / Inherits from: [Serie](#serie),[INeedSerieContainer](#ineedseriecontainer)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|

## ParallelAxis

> class in XCharts.Runtime / Inherits from: [Axis](#axis)


|public method|since|description|
|--|--|--|
|SetDefaultValue()||public override void SetDefaultValue()|

## ParallelChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## ParallelCoord

> class in XCharts.Runtime / Inherits from: [CoordSystem](#coordsystem),[IUpdateRuntimeData](#iupdateruntimedata),[ISerieContainer](#iseriecontainer)

Grid component.

|public method|since|description|
|--|--|--|
|Contains()||public bool Contains(float x, float y)|
|Contains()||public bool Contains(Vector3 pos)|
|IsPointerEnter()||public bool IsPointerEnter()|
|UpdateRuntimeData()||public void UpdateRuntimeData(BaseChart chart)|

## ParallelCoordContext

> class in XCharts.Runtime / Inherits from: [MainComponentContext](#maincomponentcontext)


## Pie

> class in XCharts.Runtime / Inherits from: [Serie](#serie)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|
|ConvertSerie()||public static Pie ConvertSerie(Serie serie)|

## PieChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## PolarAxisTheme

> class in XCharts.Runtime / Inherits from: [BaseAxisTheme](#baseaxistheme)


|public method|since|description|
|--|--|--|
|PolarAxisTheme()||public PolarAxisTheme(ThemeType theme) : base(theme) { }|

## PolarChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## PolarCoord

> class in XCharts.Runtime / Inherits from: [CoordSystem](#coordsystem),[ISerieContainer](#iseriecontainer)

Polar coordinate can be used in scatter and line chart. Every polar coordinate has an angleAxis and a radiusAxis.

|public method|since|description|
|--|--|--|
|Contains()||public bool Contains(Vector3 pos)|
|IsPointerEnter()||public bool IsPointerEnter()|

## PolarCoordContext

> class in XCharts.Runtime / Inherits from: [MainComponentContext](#maincomponentcontext)


## PropertyUtil

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|SetClass&lt;T&gt;()||public static bool SetClass&lt;T&gt;(ref T currentValue, T newValue, bool notNull = false) where T : class|
|SetColor()||public static bool SetColor(ref Color currentValue, Color newValue)|
|SetColor()||public static bool SetColor(ref Color32 currentValue, Color32 newValue)|
|SetStruct&lt;T&gt;()||public static bool SetStruct&lt;T&gt;(ref T currentValue, T newValue) where T : struct|

## Radar

> class in XCharts.Runtime / Inherits from: [Serie](#serie),[INeedSerieContainer](#ineedseriecontainer)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|

## RadarAxisTheme

> class in XCharts.Runtime / Inherits from: [BaseAxisTheme](#baseaxistheme)


|public method|since|description|
|--|--|--|
|RadarAxisTheme()||public RadarAxisTheme(ThemeType theme) : base(theme)|

## RadarChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## RadarCoord

> class in XCharts.Runtime / Inherits from: [CoordSystem](#coordsystem),[ISerieContainer](#iseriecontainer)

Radar coordinate conponnet for radar charts. 雷达图坐标系组件，只适用于雷达图。

## RadarCoordContext

> class in XCharts.Runtime / Inherits from: [MainComponentContext](#maincomponentcontext)


## RadiusAxis

> class in XCharts.Runtime / Inherits from: [Axis](#axis)

Radial axis of polar coordinate.

|public method|since|description|
|--|--|--|
|SetDefaultValue()||public override void SetDefaultValue()<br/>Radial axis of polar coordinate. |

## RadiusAxisTheme

> class in XCharts.Runtime / Inherits from: [BaseAxisTheme](#baseaxistheme)


|public method|since|description|
|--|--|--|
|RadiusAxisTheme()||public RadiusAxisTheme(ThemeType theme) : base(theme) { }|

## ReflectionUtil

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|DeepCloneSerializeField()||public static object DeepCloneSerializeField(object obj)|
|InvokeListAdd()||public static void InvokeListAdd(object obj, FieldInfo field, object item)|
|InvokeListAddTo&lt;T&gt;()||public static void InvokeListAddTo&lt;T&gt;(object obj, FieldInfo field, Action&lt;T&gt; callback)|
|InvokeListClear()||public static void InvokeListClear(object obj, FieldInfo field)|
|InvokeListCount()||public static int InvokeListCount(object obj, FieldInfo field)|
|InvokeListGet&lt;T&gt;()||public static T InvokeListGet&lt;T&gt;(object obj, FieldInfo field, int i)|

## RequireChartComponentAttribute

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)


|public method|since|description|
|--|--|--|
|RequireChartComponentAttribute()||public RequireChartComponentAttribute(Type requiredComponent)|
|RequireChartComponentAttribute()||public RequireChartComponentAttribute(Type requiredComponent, Type requiredComponent2)|
|RequireChartComponentAttribute()||public RequireChartComponentAttribute(Type requiredComponent, Type requiredComponent2, Type requiredComponent3)|

## Ring

> class in XCharts.Runtime / Inherits from: [Serie](#serie)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|
|GetDataTotal()||public override double GetDataTotal(int dimension, SerieData serieData = null)|

## RingChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## RuntimeUtil

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|GetAllAssemblyTypes()||public static IEnumerable&lt;Type&gt; GetAllAssemblyTypes()|
|GetAllTypesDerivedFrom()||public static IEnumerable&lt;Type&gt; GetAllTypesDerivedFrom(Type type)|
|GetAllTypesDerivedFrom&lt;T&gt;()||public static IEnumerable&lt;Type&gt; GetAllTypesDerivedFrom&lt;T&gt;()|
|GetAttribute&lt;T&gt;()||public static T GetAttribute&lt;T&gt;(this MemberInfo type, bool check = true) where T : Attribute|
|GetAttribute&lt;T&gt;()||public static T GetAttribute&lt;T&gt;(this Type type, bool check = true) where T : Attribute|
|HasSubclass()||public static bool HasSubclass(Type type)|

## Scatter

> class in XCharts.Runtime / Inherits from: [BaseScatter](#basescatter)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|

## ScatterChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## SelectStyle

> class in XCharts.Runtime / Inherits from: [StateStyle](#statestyle),[ISerieComponent](#iseriecomponent),[ISerieDataComponent](#iseriedatacomponent)

> Since `v3.2.0`

Configurations of select state.

## Serie

> class in XCharts.Runtime / Inherits from: [BaseSerie](#baseserie),[IComparable](https://docs.unity3d.com/ScriptReference/30_search.html?q=icomparable) / Subclasses: [SerieHandler&lt;T&gt;](#seriehandlert),[Bar](#bar),[SimplifiedBar](#simplifiedbar),[Candlestick](#candlestick),[SimplifiedCandlestick](#simplifiedcandlestick),[Heatmap](#heatmap),[Line](#line),[SimplifiedLine](#simplifiedline),[Parallel](#parallel),[Pie](#pie),[Radar](#radar),[Ring](#ring),[BaseScatter](#basescatter) 

系列。系列一般由数据和配置组成，用来表示具体的图表图形，如折线图的一条折线，柱图的一组柱子等。一个图表中可以包含多个不同类型的系列。

|public method|since|description|
|--|--|--|
|onClick||public Action&lt;SerieEventData&gt; onClick<br/>event callback when click serie. |
|onDown||public Action&lt;SerieEventData&gt; onDown<br/>event callback when mouse down on serie. |
|onEnter||public Action&lt;SerieEventData&gt; onEnter<br/>event callback when mouse enter serie. |
|onExit||public Action&lt;SerieEventData&gt; onExit<br/>event callback when mouse leave serie. |
|AddChildData()||public SerieData AddChildData(SerieData parent, double value, string name, string id)|
|AddChildData()||public SerieData AddChildData(SerieData parent, List&lt;double&gt; value, string name, string id)|
|AddChildData()||public void AddChildData(SerieData parent, SerieData serieData)|
|AddData()||public SerieData AddData(double indexOrTimestamp, double open, double close, double lowest, double heighest, string dataName = null, string dataId = null)<br/>添加 (open, close, lowest, heighest) 数据 |
|AddData()||public SerieData AddData(List&lt;double&gt; valueList, string dataName = null, string dataId = null)<br/>将一组数据添加到系列中。 如果数据只有一个，默认添加到维度Y中。 |
|AddData()||public SerieData AddData(params double[] values)<br/>添加任意维数据到系列中。 |
|AddExtraComponent&lt;T&gt;()||public T AddExtraComponent&lt;T&gt;() where T : ChildComponent, ISerieComponent|
|AddSerieData()||public void AddSerieData(SerieData serieData)|
|AddXYData()||public SerieData AddXYData(double xValue, double yValue, string dataName = null, string dataId = null)<br/>添加（x，y）数据到维度X和维度Y |
|AddYData()||public SerieData AddYData(double value, string dataName = null, string dataId = null)<br/>添加一个数据到维度Y（此时维度X对应的数据是索引） |
|AnimationEnable()||public void AnimationEnable(bool flag)<br/>启用或取消初始动画 |
|AnimationFadeIn()||public void AnimationFadeIn()<br/>渐入动画 |
|AnimationFadeOut()||public void AnimationFadeOut()<br/>渐出动画 |
|AnimationPause()||public void AnimationPause()<br/>暂停动画 |
|AnimationReset()||public void AnimationReset()<br/>重置动画 |
|AnimationRestart()||public void AnimationRestart()<br/>重置动画 |
|AnimationResume()||public void AnimationResume()<br/>继续动画 |
|CanAddComponent()||public bool CanAddComponent(Type type)|
|CanAddComponent&lt;T&gt;()||public bool CanAddComponent&lt;T&gt;() where T : ChildComponent, ISerieComponent|
|ClearComponentDirty()||public override void ClearComponentDirty()|
|ClearData()||public override void ClearData()<br/>清空所有数据 |
|ClearDirty()||public override void ClearDirty()|
|ClearHighlight()||public void ClearHighlight()<br/>清除所有数据的高亮标志 |
|ClearSerieNameDirty()||public void ClearSerieNameDirty()|
|ClearVerticesDirty()||public override void ClearVerticesDirty()|
|Clone()||public Serie Clone()|
|Clone&lt;T&gt;()||public T Clone&lt;T&gt;() where T : Serie|
|CompareTo()||public int CompareTo(object obj)|
|EnsureComponent()||public ISerieComponent EnsureComponent(Type type)|
|EnsureComponent&lt;T&gt;()||public T EnsureComponent&lt;T&gt;() where T : ChildComponent, ISerieComponent<br/>Ensure the serie has the component. If not, add it. |
|GetBarWidth()||public float GetBarWidth(float categoryWidth, int barCount = 0)|
|GetComponent()||public ISerieComponent GetComponent(Type type)|
|GetComponent&lt;T&gt;()||public T GetComponent&lt;T&gt;() where T : ChildComponent, ISerieComponent|
|GetData()||public double GetData(int index, int dimension, DataZoom dataZoom = null)<br/>获得指定index指定维数的数据 |
|GetDataList()||public List&lt;SerieData&gt; GetDataList(DataZoom dataZoom = null)<br/>获得系列的数据列表 |
|GetDataTotal()||public virtual double GetDataTotal(int dimension, SerieData serieData = null)|
|GetSerieData()||public SerieData GetSerieData(int index, DataZoom dataZoom = null)<br/>获得指定索引的数据项 |
|GetSerieData()||public SerieData GetSerieData(SerieData parent, string id)|
|GetSerieData()||public SerieData GetSerieData(string id, DataZoom dataZoom = null)|
|GetXYData()||public void GetXYData(int index, DataZoom dataZoom, out double xValue, out double yVlaue)<br/>获得指定索引的维度X和维度Y的数据 |
|GetYCurrData()||public double GetYCurrData(int index, DataZoom dataZoom = null)|
|GetYData()||public double GetYData(int index, DataZoom dataZoom = null)<br/>获得维度Y索引对应的数据 |
|GetYData()||public void GetYData(int index, out double yData, out string dataName, DataZoom dataZoom = null)<br/>获得维度Y索引对应的数据和数据名 |
|IsIgnoreIndex()||public bool IsIgnoreIndex(int index, int dimension = 1)|
|IsIgnorePoint()||public bool IsIgnorePoint(int index)|
|IsIgnoreValue()||public bool IsIgnoreValue(double value)|
|IsIgnoreValue()||public bool IsIgnoreValue(SerieData serieData, double value)|
|IsIgnoreValue()||public bool IsIgnoreValue(SerieData serieData, int dimension = 1)|
|IsLegendName()||public bool IsLegendName(string legendName)|
|IsPerformanceMode()||public bool IsPerformanceMode()<br/>是否为性能模式。性能模式下不绘制Symbol，不刷新Label，不单独设置数据项配置。 |
|IsSerie&lt;T&gt;()||public bool IsSerie&lt;T&gt;() where T : Serie|
|IsSerieDataLegendName()||public bool IsSerieDataLegendName(string legendName)|
|IsSerieLegendName()||public bool IsSerieLegendName(string legendName)|
|IsUseCoord&lt;T&gt;()||public bool IsUseCoord&lt;T&gt;() where T : CoordSystem|
|RemoveAllComponents()||public void RemoveAllComponents()<br/>Remove all extra components. |
|RemoveComponent()||public void RemoveComponent(Type type)|
|RemoveComponent&lt;T&gt;()||public void RemoveComponent&lt;T&gt;() where T : ISerieComponent|
|RemoveData()||public void RemoveData(int index)<br/>移除指定索引的数据 |
|ResetDataIndex()||public bool ResetDataIndex()<br/>重置数据项索引。避免部分数据项的索引异常。 |
|ResetInteract()||public void ResetInteract()|
|SetAllDirty()||public override void SetAllDirty()|
|SetCoord&lt;T&gt;()||public bool SetCoord&lt;T&gt;() where T : CoordSystem|
|SetHighlight()||public void SetHighlight(int index, bool flag)<br/>设置指定索引的数据为高亮状态 |
|SetVerticesDirty()||public override void SetVerticesDirty()|
|UpdateData()||public bool UpdateData(int index, int dimension, double value)<br/>更新指定索引指定维数的数据 |
|UpdateData()||public bool UpdateData(int index, List&lt;double&gt; values)<br/>更新指定索引的数据项数据列表 |
|UpdateDataName()||public bool UpdateDataName(int index, string name)|
|UpdateXYData()||public bool UpdateXYData(int index, double xValue, double yValue)<br/>更新指定索引的维度X和维度Y的数据 |
|UpdateYData()||public bool UpdateYData(int index, double value)<br/>更新指定索引的维度Y数据 |

## SerieComponentAttribute

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)

The attribute for serie component.

|public method|since|description|
|--|--|--|
|Contains()||public bool Contains(Type type)|
|Contains&lt;T&gt;()||public bool Contains&lt;T&gt;() where T : ISerieComponent|
|SerieComponentAttribute()||public SerieComponentAttribute()|
|SerieComponentAttribute()||public SerieComponentAttribute(Type type1)|
|SerieComponentAttribute()||public SerieComponentAttribute(Type type1, Type type2)|
|SerieComponentAttribute()||public SerieComponentAttribute(Type type1, Type type2, Type type3)|
|SerieComponentAttribute()||public SerieComponentAttribute(Type type1, Type type2, Type type3, Type type4)|
|SerieComponentAttribute()||public SerieComponentAttribute(Type type1, Type type2, Type type3, Type type4, Type type5)|
|SerieComponentAttribute()||public SerieComponentAttribute(Type type1, Type type2, Type type3, Type type4, Type type5, Type type6)|
|SerieComponentAttribute()||public SerieComponentAttribute(Type type1, Type type2, Type type3, Type type4, Type type5, Type type6, Type type7)|

## SerieContext

> class in XCharts.Runtime


## SerieConvertAttribute

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)

The attribute for which serie types can be converted to.

|public method|since|description|
|--|--|--|
|Contains()||public bool Contains(Type type)|
|Contains&lt;T&gt;()||public bool Contains&lt;T&gt;() where T : Serie|
|SerieConvertAttribute()||public SerieConvertAttribute(Type serie)|
|SerieConvertAttribute()||public SerieConvertAttribute(Type serie, Type serie2)|
|SerieConvertAttribute()||public SerieConvertAttribute(Type serie, Type serie2, Type serie3)|
|SerieConvertAttribute()||public SerieConvertAttribute(Type serie, Type serie2, Type serie3, Type serie4)|

## SerieData

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

A data item of serie.

|public method|since|description|
|--|--|--|
|ClearComponentDirty()||public override void ClearComponentDirty()|
|ClearVerticesDirty()||public override void ClearVerticesDirty()|
|EnsureComponent()|v3.6.0|public ISerieDataComponent EnsureComponent(Type type)<br/>Ensure the serie data has the component, if not, add it. |
|EnsureComponent&lt;T&gt;()|v3.6.0|public T EnsureComponent&lt;T&gt;() where T : ChildComponent, ISerieDataComponent<br/>Ensure the serie data has the component, if not, add it. |
|GetAddAnimationData()||public double GetAddAnimationData(double min, double max, float animationDuration = 500f, bool unscaledTime = false)|
|GetComponent&lt;T&gt;()||public T GetComponent&lt;T&gt;() where T : ChildComponent, ISerieDataComponent<br/>Get the component of the serie data. return null if not exist. |
|GetCurrData()||public double GetCurrData(int index, AnimationStyle animation, bool inverse = false, bool loop = false)|
|GetCurrData()||public double GetCurrData(int index, AnimationStyle animation, bool inverse, double min, double max, bool loop = false)|
|GetCurrData()||public double GetCurrData(int index, float dataAddDuration = 500f, float animationDuration = 500f, bool unscaledTime = false, bool inverse = false)|
|GetCurrData()||public double GetCurrData(int index, float dataAddDuration, float animationDuration, bool inverse, double min, double max, bool unscaledTime, bool loop = false)|
|GetData()||public double GetData(int index, bool inverse = false)|
|GetData()||public double GetData(int index, double min, double max)|
|GetFirstData()||public double GetFirstData(bool unscaledTime, float animationDuration = 500f)|
|GetLabelHeight()||public float GetLabelHeight()|
|GetLabelWidth()||public float GetLabelWidth()|
|GetLastData()||public double GetLastData()|
|GetMaxData()||public double GetMaxData(bool inverse = false)<br/>the maxinum value. |
|GetMinData()||public double GetMinData(bool inverse = false)<br/>the mininum value. |
|GetMinMaxData()||public void GetMinMaxData(int startDimensionIndex, bool inverse, out double min, out double max)|
|GetOrAddComponent&lt;T&gt;()||public T GetOrAddComponent&lt;T&gt;() where T : ChildComponent, ISerieDataComponent|
|GetPreviousData()||public double GetPreviousData(int index, bool inverse = false)|
|GetTotalData()||public double GetTotalData()|
|IsDataChanged()||public bool IsDataChanged()|
|IsInPolygon()||public bool IsInPolygon(Vector2 p)|
|List&lt;string&gt;()||public static List&lt;string&gt; extraFieldList = new List&lt;string&gt;()<br/>A data item of serie. |
|OnAdd()||public void OnAdd(AnimationStyle animation, double startValue = 0)|
|RemoveAllComponent()||public void RemoveAllComponent()|
|RemoveComponent()||public void RemoveComponent(Type type)|
|RemoveComponent&lt;T&gt;()||public void RemoveComponent&lt;T&gt;() where T : ISerieDataComponent|
|Reset()||public void Reset()|
|SetIconActive()||public void SetIconActive(bool flag)|
|SetLabelActive()||public void SetLabelActive(bool flag)|
|SetPolygon()||public void SetPolygon(params Vector2[] points)|
|SetPolygon()||public void SetPolygon(Vector2 p1, Vector2 p2, Vector2 p3, Vector2 p4)|
|SetPolygon()||public void SetPolygon(Vector2 p1, Vector2 p2, Vector2 p3, Vector2 p4, Vector2 p5)|
|UpdateData()||public bool UpdateData(int dimension, double value)|
|UpdateData()||public bool UpdateData(int dimension, double value, bool updateAnimation, bool unscaledTime, float animationDuration = 500f)|

## SerieDataComponentAttribute

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)

The attribute for serie data component.

|public method|since|description|
|--|--|--|
|Contains()||public bool Contains(Type type)|
|Contains&lt;T&gt;()||public bool Contains&lt;T&gt;() where T : ISerieComponent|
|SerieDataComponentAttribute()||public SerieDataComponentAttribute()|
|SerieDataComponentAttribute()||public SerieDataComponentAttribute(Type type1)|
|SerieDataComponentAttribute()||public SerieDataComponentAttribute(Type type1, Type type2)|
|SerieDataComponentAttribute()||public SerieDataComponentAttribute(Type type1, Type type2, Type type3)|
|SerieDataComponentAttribute()||public SerieDataComponentAttribute(Type type1, Type type2, Type type3, Type type4)|
|SerieDataComponentAttribute()||public SerieDataComponentAttribute(Type type1, Type type2, Type type3, Type type4, Type type5)|
|SerieDataComponentAttribute()||public SerieDataComponentAttribute(Type type1, Type type2, Type type3, Type type4, Type type5, Type type6)|
|SerieDataComponentAttribute()||public SerieDataComponentAttribute(Type type1, Type type2, Type type3, Type type4, Type type5, Type type6, Type type7)|

## SerieDataContext

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|Reset()||public void Reset()|

## SerieDataExtraFieldAttribute

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)


|public method|since|description|
|--|--|--|
|Contains()||public bool Contains(string field)|
|SerieDataExtraFieldAttribute()||public SerieDataExtraFieldAttribute()|
|SerieDataExtraFieldAttribute()||public SerieDataExtraFieldAttribute(string field1)|
|SerieDataExtraFieldAttribute()||public SerieDataExtraFieldAttribute(string field1, string field2)|
|SerieDataExtraFieldAttribute()||public SerieDataExtraFieldAttribute(string field1, string field2, string field3)|
|SerieDataExtraFieldAttribute()||public SerieDataExtraFieldAttribute(string field1, string field2, string field3, string field4)|
|SerieDataExtraFieldAttribute()||public SerieDataExtraFieldAttribute(string field1, string field2, string field3, string field4, string field5)|
|SerieDataExtraFieldAttribute()||public SerieDataExtraFieldAttribute(string field1, string field2, string field3, string field4, string field5, string field6)|
|SerieDataExtraFieldAttribute()||public SerieDataExtraFieldAttribute(string field1, string field2, string field3, string field4, string field5, string field6, string field7)|

## SerieEventData

> class in XCharts.Runtime

the data of serie event.

|public method|since|description|
|--|--|--|
|Reset()||public void Reset()|

## SerieEventDataPool

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|Get()||public static SerieEventData Get(Vector3 pos, int serieIndex, int dataIndex, int dimension, double value)|
|Release()||public static void Release(SerieEventData toRelease)|

## SerieHandler

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|AfterUpdate()||public virtual void AfterUpdate() { }|
|BeforeUpdate()||public virtual void BeforeUpdate() { }|
|CheckComponent()||public virtual void CheckComponent(StringBuilder sb) { }|
|DrawBase()||public virtual void DrawBase(VertexHelper vh) { }|
|DrawSerie()||public virtual void DrawSerie(VertexHelper vh) { }|
|DrawTop()||public virtual void DrawTop(VertexHelper vh) { }|
|DrawUpper()||public virtual void DrawUpper(VertexHelper vh) { }|
|ForceUpdateSerieContext()||public virtual void ForceUpdateSerieContext() { }|
|InitComponent()||public virtual void InitComponent() { }|
|OnBeginDrag()||public virtual void OnBeginDrag(PointerEventData eventData) { }|
|OnDrag()||public virtual void OnDrag(PointerEventData eventData) { }|
|OnEndDrag()||public virtual void OnEndDrag(PointerEventData eventData) { }|
|OnLegendButtonClick()||public virtual void OnLegendButtonClick(int index, string legendName, bool show) { }|
|OnLegendButtonEnter()||public virtual void OnLegendButtonEnter(int index, string legendName) { }|
|OnLegendButtonExit()||public virtual void OnLegendButtonExit(int index, string legendName) { }|
|OnPointerClick()||public virtual void OnPointerClick(PointerEventData eventData) { }|
|OnPointerDown()||public virtual void OnPointerDown(PointerEventData eventData) { }|
|OnPointerEnter()||public virtual void OnPointerEnter(PointerEventData eventData) { }|
|OnPointerExit()||public virtual void OnPointerExit(PointerEventData eventData) { }|
|OnPointerUp()||public virtual void OnPointerUp(PointerEventData eventData) { }|
|OnScroll()||public virtual void OnScroll(PointerEventData eventData) { }|
|RefreshLabelInternal()||public virtual void RefreshLabelInternal() { }|
|RefreshLabelNextFrame()||public virtual void RefreshLabelNextFrame() { }|
|RemoveComponent()||public virtual void RemoveComponent() { }|
|Update()||public virtual void Update() { }|
|UpdateSerieContext()||public virtual void UpdateSerieContext() { }|

## SerieHandler where T

> class in  / Subclasses: [SerieHandler&lt;T&gt;](#seriehandlert) 


## SerieHandler&lt;T&gt;

> class in XCharts.Runtime / Inherits from: [SerieHandler where T](#seriehandler where t),[Serie](#serie)


|public method|since|description|
|--|--|--|
|AfterUpdate()||public override void AfterUpdate()|
|BeforeUpdate()||public override void BeforeUpdate()|
|DrawLabelLineSymbol()||public void DrawLabelLineSymbol(VertexHelper vh, LabelLine labelLine, Vector3 startPos, Vector3 endPos, Color32 defaultColor)|
|ForceUpdateSerieContext()||public override void ForceUpdateSerieContext()|
|GetPointerItemDataDimension()||public override int GetPointerItemDataDimension()|
|GetPointerItemDataIndex()||public override int GetPointerItemDataIndex()|
|GetSerieDataAutoColor()||public virtual Color GetSerieDataAutoColor(SerieData serieData)|
|GetSerieDataLabelOffset()||public virtual Vector3 GetSerieDataLabelOffset(SerieData serieData, LabelStyle label)|
|GetSerieDataLabelPosition()||public virtual Vector3 GetSerieDataLabelPosition(SerieData serieData, LabelStyle label)|
|GetSerieDataTitlePosition()||public virtual Vector3 GetSerieDataTitlePosition(SerieData serieData, TitleStyle titleStyle)|
|InitComponent()||public override void InitComponent()|
|OnLegendButtonClick()||public override void OnLegendButtonClick(int index, string legendName, bool show)|
|OnLegendButtonEnter()||public override void OnLegendButtonEnter(int index, string legendName)|
|OnLegendButtonExit()||public override void OnLegendButtonExit(int index, string legendName)|
|OnPointerClick()||public override void OnPointerClick(PointerEventData eventData)|
|OnPointerDown()||public override void OnPointerDown(PointerEventData eventData)|
|RefreshEndLabelInternal()||public virtual void RefreshEndLabelInternal()|
|RefreshLabelInternal()||public override void RefreshLabelInternal()|
|RefreshLabelNextFrame()||public override void RefreshLabelNextFrame()|
|RemoveComponent()||public override void RemoveComponent()|
|Update()||public override void Update()|

## SerieHandlerAttribute

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)


|public method|since|description|
|--|--|--|
|SerieHandlerAttribute()||public SerieHandlerAttribute(Type handler)|
|SerieHandlerAttribute()||public SerieHandlerAttribute(Type handler, bool allowMultiple)|

## SerieHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|CloneSerie&lt;T&gt;()||public static T CloneSerie&lt;T&gt;(Serie serie) where T : Serie|
|CopySerie()||public static void CopySerie(Serie oldSerie, Serie newSerie)|
|GetAllMinMaxData()||public static void GetAllMinMaxData(Serie serie, double ceilRate = 0, DataZoom dataZoom = null)|
|GetAreaStyle()||public static AreaStyle GetAreaStyle(Serie serie, SerieData serieData)|
|GetAverageData()||public static double GetAverageData(Serie serie, int dimension = 1, DataZoom dataZoom = null)|
|GetBlurStyle()||public static BlurStyle GetBlurStyle(Serie serie, SerieData serieData)|
|GetEmphasisStyle()||public static EmphasisStyle GetEmphasisStyle(Serie serie, SerieData serieData)|
|GetItemColor()||public static Color32 GetItemColor(Serie serie, SerieData serieData, ThemeStyle theme, int index, SerieState state = SerieState.Auto, bool opacity = true)|
|GetItemFormatter()||public static string GetItemFormatter(Serie serie, SerieData serieData, string defaultFormatter = null)|
|GetItemMarker()||public static string GetItemMarker(Serie serie, SerieData serieData, string defaultMarker = null)|
|GetItemStyle()||public static ItemStyle GetItemStyle(Serie serie, SerieData serieData, SerieState state = SerieState.Auto)|
|GetLineColor()||public static Color32 GetLineColor(Serie serie, SerieData serieData, ThemeStyle theme, int index, SerieState state = SerieState.Auto)|
|GetLineStyle()||public static LineStyle GetLineStyle(Serie serie, SerieData serieData)|
|GetMaxData()||public static double GetMaxData(Serie serie, int dimension = 1, DataZoom dataZoom = null)|
|GetMaxSerieData()||public static SerieData GetMaxSerieData(Serie serie, int dimension = 1, DataZoom dataZoom = null)|
|GetMedianData()||public static double GetMedianData(Serie serie, int dimension = 1, DataZoom dataZoom = null)|
|GetMinData()||public static double GetMinData(Serie serie, int dimension = 1, DataZoom dataZoom = null)|
|GetMinMaxData()||public static void GetMinMaxData(Serie serie, out double min, out double max, DataZoom dataZoom = null, int dimension = 0)<br/>Gets the maximum and minimum values of all data in the serie. |
|GetMinSerieData()||public static SerieData GetMinSerieData(Serie serie, int dimension = 1, DataZoom dataZoom = null)|
|GetNumericFormatter()||public static string GetNumericFormatter(Serie serie, SerieData serieData, string defaultFormatter = null)|
|GetSelectStyle()||public static SelectStyle GetSelectStyle(Serie serie, SerieData serieData)|
|GetSerieLabel()||public static LabelStyle GetSerieLabel(Serie serie, SerieData serieData, SerieState state = SerieState.Auto)|
|GetSerieLabelLine()||public static LabelLine GetSerieLabelLine(Serie serie, SerieData serieData, SerieState state = SerieState.Auto)|
|GetSerieState()||public static SerieState GetSerieState(Serie serie)|
|GetSerieState()||public static SerieState GetSerieState(Serie serie, SerieData serieData, bool defaultSerieState = false)|
|GetSerieState()||public static SerieState GetSerieState(SerieData serieData)|
|GetSerieSymbol()||public static SerieSymbol GetSerieSymbol(Serie serie, SerieData serieData, SerieState state = SerieState.Auto)|
|GetStateStyle()||public static StateStyle GetStateStyle(Serie serie, SerieData serieData, SerieState state)|
|GetSysmbolSize()||public static float GetSysmbolSize(Serie serie, SerieData serieData, float defaultSize, SerieState state = SerieState.Auto, bool checkAnimation = false)|
|GetTitleStyle()||public static TitleStyle GetTitleStyle(Serie serie, SerieData serieData)|
|IsAllZeroValue()||public static bool IsAllZeroValue(Serie serie, int dimension = 1)<br/>Whether the data for the specified dimension of serie are all 0. |
|IsDownPoint()||public static bool IsDownPoint(Serie serie, int index)|
|UpdateCenter()||public static void UpdateCenter(Serie serie, BaseChart chart)<br/>更新运行时中心点和半径 |
|UpdateFilterData()||public static void UpdateFilterData(Serie serie, DataZoom dataZoom)<br/>根据dataZoom更新数据列表缓存 |
|UpdateMinMaxData()||public static void UpdateMinMaxData(Serie serie, int dimension, double ceilRate = 0, DataZoom dataZoom = null)<br/>获得指定维数的最大最小值 |
|UpdateRect()||public static void UpdateRect(Serie serie, Vector3 chartPosition, float chartWidth, float chartHeight)|
|UpdateSerieRuntimeFilterData()||public static void UpdateSerieRuntimeFilterData(Serie serie, bool filterInvisible = true)|

## SerieLabelHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|CanShowLabel()||public static bool CanShowLabel(Serie serie, SerieData serieData, LabelStyle label, int dimesion)|
|GetLabelColor()||public static Color GetLabelColor(Serie serie, ThemeStyle theme, int index)|
|SetGaugeLabelText()||public static void SetGaugeLabelText(Serie serie)|

## SerieLabelPool

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|ClearAll()||public static void ClearAll()|
|Release()||public static void Release(GameObject element)|
|ReleaseAll()||public static void ReleaseAll(Transform parent)|

## SerieParams

> class in XCharts.Runtime


## SeriesHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|GetLastStackSerie()||public static Serie GetLastStackSerie(List&lt;Serie&gt; series, Serie serie)<br/>获得上一个同堆叠且显示的serie。 |
|GetLegalSerieNameList()||public static List&lt;string&gt; GetLegalSerieNameList(List&lt;Serie&gt; series)|
|GetMaxSerieDataCount()||public static int GetMaxSerieDataCount(List&lt;Serie&gt; series)|
|GetMinAnimationDuration()||public static float GetMinAnimationDuration(List&lt;Serie&gt; series)|
|GetNameColor()||public static Color GetNameColor(BaseChart chart, int index, string name)|
|GetStackSeries()||public static void GetStackSeries(List&lt;Serie&gt; series, ref Dictionary&lt;int, List&lt;Serie&gt;&gt; stackSeries)<br/>获得堆叠系列列表 |
|IsAnyClipSerie()||public static bool IsAnyClipSerie(List&lt;Serie&gt; series)<br/>是否有需裁剪的serie。 |
|IsLegalLegendName()||public static bool IsLegalLegendName(string name)|
|IsPercentStack&lt;T&gt;()||public static bool IsPercentStack&lt;T&gt;(List&lt;Serie&gt; series) where T : Serie<br/>是否时百分比堆叠 |
|IsPercentStack&lt;T&gt;()||public static bool IsPercentStack&lt;T&gt;(List&lt;Serie&gt; series, string stackName) where T : Serie<br/>是否时百分比堆叠 |
|IsStack()||public static bool IsStack(List&lt;Serie&gt; series)<br/>是否由数据堆叠 |
|IsStack&lt;T&gt;()||public static bool IsStack&lt;T&gt;(List&lt;Serie&gt; series, string stackName) where T : Serie<br/>是否堆叠 |
|UpdateSerieNameList()||public static void UpdateSerieNameList(BaseChart chart, ref List&lt;string&gt; serieNameList)<br/>获得所有系列名，不包含空名字。 |
|UpdateStackDataList()||public static void UpdateStackDataList(List&lt;Serie&gt; series, Serie currSerie, DataZoom dataZoom, List&lt;List&lt;SerieData&gt;&gt; dataList)|

## SerieSymbol

> class in XCharts.Runtime / Inherits from: [SymbolStyle](#symbolstyle),[ISerieDataComponent](#iseriedatacomponent)

系列数据项的标记的图形

|public method|since|description|
|--|--|--|
|GetSize()||public float GetSize(List&lt;double&gt; data, float themeSize)<br/>根据指定的sizeType获得标记的大小 |
|Reset()||public override void Reset()|
|ShowSymbol()||public bool ShowSymbol(int dataIndex, int dataCount)|

## SerieTheme

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)


|public method|since|description|
|--|--|--|
|Copy()||public void Copy(SerieTheme theme)|
|SerieTheme()||public SerieTheme(ThemeType theme)|

## Settings

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent)

Global parameter setting component. The default value can be used in general, and can be adjusted when necessary.

|public method|since|description|
|--|--|--|
|Copy()||public void Copy(Settings settings)|
|Reset()||public override void Reset()|

## SimplifiedBar

> class in XCharts.Runtime / Inherits from: [Serie](#serie),[INeedSerieContainer](#ineedseriecontainer),[ISimplifiedSerie](#isimplifiedserie)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|
|ConvertSerie()||public static SimplifiedBar ConvertSerie(Serie serie)|

## SimplifiedBarChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## SimplifiedCandlestick

> class in XCharts.Runtime / Inherits from: [Serie](#serie),[INeedSerieContainer](#ineedseriecontainer),[ISimplifiedSerie](#isimplifiedserie)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|
|ConvertSerie()||public static SimplifiedCandlestick ConvertSerie(Serie serie)|

## SimplifiedCandlestickChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## SimplifiedLine

> class in XCharts.Runtime / Inherits from: [Serie](#serie),[INeedSerieContainer](#ineedseriecontainer),[ISimplifiedSerie](#isimplifiedserie)


|public method|since|description|
|--|--|--|
|AddDefaultSerie()||public static Serie AddDefaultSerie(BaseChart chart, string serieName)|
|ConvertSerie()||public static SimplifiedLine ConvertSerie(Serie serie)|

## SimplifiedLineChart

> class in XCharts.Runtime / Inherits from: [BaseChart](#basechart)


## Since

> class in XCharts.Runtime / Inherits from: [Attribute](https://docs.unity3d.com/ScriptReference/30_search.html?q=attribute)


|public method|since|description|
|--|--|--|
|Since()||public Since(string version)|

## SingleAxis

> class in XCharts.Runtime / Inherits from: [Axis](#axis),[IUpdateRuntimeData](#iupdateruntimedata)

Single axis.

|public method|since|description|
|--|--|--|
|SetDefaultValue()||public override void SetDefaultValue()|
|UpdateRuntimeData()||public void UpdateRuntimeData(BaseChart chart)|

## SingleAxisCoord

> class in XCharts.Runtime / Inherits from: [CoordSystem](#coordsystem)


## StageColor

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)


|public method|since|description|
|--|--|--|
|StageColor()||public StageColor(float percent, Color32 color)|

## StateStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent) / Subclasses: [BlurStyle](#blurstyle),[EmphasisStyle](#emphasisstyle),[SelectStyle](#selectstyle) 

> Since `v3.2.0`

the state style of serie.

|public method|since|description|
|--|--|--|
|ClearComponentDirty()||public override void ClearComponentDirty()|
|ClearVerticesDirty()||public override void ClearVerticesDirty()|
|Reset()||public void Reset()|

## SubTitleTheme

> class in XCharts.Runtime / Inherits from: [ComponentTheme](#componenttheme)


|public method|since|description|
|--|--|--|
|SubTitleTheme()||public SubTitleTheme(ThemeType theme) : base(theme)|

## SVG

> class in XUGL


|public method|since|description|
|--|--|--|
|DrawPath()||public static void DrawPath(VertexHelper vh, string path)|
|DrawPath()||public static void DrawPath(VertexHelper vh, SVGPath path)|
|Test()||public static void Test(VertexHelper vh)|

## SVGImage

> class in XCharts.Runtime / Inherits from: [MaskableGraphic](https://docs.unity3d.com/ScriptReference/30_search.html?q=maskablegraphic)


## SVGPath

> class in XUGL


|public method|since|description|
|--|--|--|
|AddSegment()||public void AddSegment(SVGPathSeg seg)|
|Draw()||public void Draw(VertexHelper vh)|
|Parse()||public static SVGPath Parse(string path)|

## SVGPathSeg

> class in XUGL


|public method|since|description|
|--|--|--|
|SVGPathSeg()||public SVGPathSeg(SVGPathSegType type)|

## SymbolStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent) / Subclasses: [SerieSymbol](#seriesymbol) 

系列数据项的标记的图形

|public method|since|description|
|--|--|--|
|GetColor()||public Color32 GetColor(Color32 defaultColor)|
|Reset()||public virtual void Reset()|

## TextLimit

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

Text character limitation and adaptation component. When the length of the text exceeds the set length, it is cropped and suffixes are appended to the end.Only valid in the category axis.

|public method|since|description|
|--|--|--|
|Clone()||public TextLimit Clone()|
|Copy()||public void Copy(TextLimit textLimit)|
|GetLimitContent()||public string GetLimitContent(string content)|
|SetRelatedText()||public void SetRelatedText(ChartText txt, float labelWidth)|

## TextPadding

> class in XCharts.Runtime / Inherits from: [Padding](#padding)

Settings related to text.

|public method|since|description|
|--|--|--|
|TextPadding()||public TextPadding() { }|
|TextPadding()||public TextPadding(float top, float right, float bottom, float left)|

## TextStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

Settings related to text.

|public method|since|description|
|--|--|--|
|Copy()||public void Copy(TextStyle textStyle)|
|GetAlignment()||public TextAnchor GetAlignment(TextAnchor defaultAlignment)|
|GetColor()||public Color GetColor(Color defaultColor)|
|GetFontSize()||public int GetFontSize(ComponentTheme defaultTheme)|
|TextStyle()||public TextStyle() { }|
|TextStyle()||public TextStyle(int fontSize)|
|TextStyle()||public TextStyle(int fontSize, FontStyle fontStyle)|
|TextStyle()||public TextStyle(int fontSize, FontStyle fontStyle, Color color)|
|TextStyle()||public TextStyle(int fontSize, FontStyle fontStyle, Color color, int rorate)|
|UpdateAlignmentByLocation()||public void UpdateAlignmentByLocation(Location location)|

## Theme

> class in XCharts.Runtime / Inherits from: [ScriptableObject](https://docs.unity3d.com/ScriptReference/30_search.html?q=scriptableobject)

Theme.

|public method|since|description|
|--|--|--|
|CheckWarning()||public void CheckWarning(StringBuilder sb)|
|CloneTheme()||public Theme CloneTheme()<br/>克隆主题。 |
|CopyTheme()||public bool CopyTheme(ThemeType theme)|
|CopyTheme()||public void CopyTheme(Theme theme)<br/>copy all configurations from theme. |
|GetColor()||public Color32 GetColor(int index)<br/>Gets the color of the specified index from the palette. |
|GetColor()||public static Color32 GetColor(string hexColorStr)<br/>Convert the html string to color. |
|GetColorStr()||public string GetColorStr(int index)<br/>Gets the hexadecimal color string of the specified index from the palette. |
|GetHashCode()||public override int GetHashCode()|
|ResetTheme()||public bool ResetTheme()<br/>Clear all custom configurations. |
|ResetToDarkTheme()||public static void ResetToDarkTheme(Theme theme)<br/>dark theme. |
|ResetToDefaultTheme()||public static void ResetToDefaultTheme(Theme theme)<br/>default theme. |
|SetColorPalette()||public void SetColorPalette(List&lt;string&gt; hexColorStringList)|
|SetDefaultFont()||public void SetDefaultFont()|
|SyncFontToSubComponent()||public void SyncFontToSubComponent()|
|SyncTMPFontToSubComponent()||public void SyncTMPFontToSubComponent()|

## ThemeStyle

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)

Theme.

|public method|since|description|
|--|--|--|
|CheckWarning()||public void CheckWarning(StringBuilder sb)|
|GetBackgroundColor()||public Color32 GetBackgroundColor(Background background)|
|GetColor()||public Color32 GetColor(int index)<br/>Gets the color of the specified index from the palette. |
|GetColor()||public static Color32 GetColor(string hexColorStr)<br/>Convert the html string to color. |
|GetColorStr()||public string GetColorStr(int index)<br/>Gets the hexadecimal color string of the specified index from the palette. |
|SyncSharedThemeColorToCustom()||public void SyncSharedThemeColorToCustom()|

## Title

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent),[IPropertyChanged](#ipropertychanged)

Title component, including main title and subtitle.

|public method|since|description|
|--|--|--|
|ClearComponentDirty()||public override void ClearComponentDirty()|
|OnChanged()||public void OnChanged()|

## TitleStyle

> class in XCharts.Runtime / Inherits from: [LabelStyle](#labelstyle),[ISerieDataComponent](#iseriedatacomponent),[ISerieComponent](#iseriecomponent)

the title of serie.

## TitleTheme

> class in XCharts.Runtime / Inherits from: [ComponentTheme](#componenttheme)


|public method|since|description|
|--|--|--|
|TitleTheme()||public TitleTheme(ThemeType theme) : base(theme)|

## Tooltip

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent)

Tooltip component.

|public method|since|description|
|--|--|--|
|AddSerieDataIndex()||public void AddSerieDataIndex(int serieIndex, int dataIndex)|
|ClearComponentDirty()||public override void ClearComponentDirty()|
|ClearData()||public override void ClearData()|
|ClearSerieDataIndex()||public void ClearSerieDataIndex()|
|GetContentLabelStyle()||public LabelStyle GetContentLabelStyle(int index)|
|IsActive()||public bool IsActive()<br/>提示框是否显示 |
|isAnySerieDataIndex()||public bool isAnySerieDataIndex()|
|IsSelected()||public bool IsSelected()<br/>当前提示框是否选中数据项 |
|IsSelected()||public bool IsSelected(int index)<br/>指定索引的数据项是否被提示框选中 |
|IsTriggerAxis()||public bool IsTriggerAxis()|
|IsTriggerItem()||public bool IsTriggerItem()|
|KeepTop()||public void KeepTop()<br/>Keep Tooltiop displayed at the top. |
|SetActive()||public void SetActive(bool flag)<br/>设置Tooltip组件是否显示 |
|SetContentActive()||public void SetContentActive(bool flag)<br/>设置文本框是否显示 |
|UpdateContentPos()||public void UpdateContentPos(Vector2 pos, float width, float height)<br/>更新文本框位置 |

## TooltipContext

> class in XCharts.Runtime


## TooltipData

> class in XCharts.Runtime


## TooltipHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|GetItemNumericFormatter()||public static string GetItemNumericFormatter(Tooltip tooltip, Serie serie, SerieData serieData)|
|GetLineColor()||public static Color32 GetLineColor(Tooltip tooltip, Color32 defaultColor)|
|IsIgnoreFormatter()||public static bool IsIgnoreFormatter(string itemFormatter)|
|LimitInRect()||public static void LimitInRect(Tooltip tooltip, Rect chartRect)|

## TooltipTheme

> class in XCharts.Runtime / Inherits from: [ComponentTheme](#componenttheme)


|public method|since|description|
|--|--|--|
|Copy()||public void Copy(TooltipTheme theme)|
|TooltipTheme()||public TooltipTheme(ThemeType theme) : base(theme)|

## TooltipView

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|CreateView()||public static TooltipView CreateView(Tooltip tooltip, ThemeStyle theme, Transform parent)|
|GetCurrentPos()||public Vector3 GetCurrentPos()|
|GetTargetPos()||public Vector3 GetTargetPos()|
|Refresh()||public void Refresh()|
|SetActive()||public void SetActive(bool flag)|
|Update()||public void Update()|
|UpdatePosition()||public void UpdatePosition(Vector3 pos)|

## TooltipViewItem

> class in XCharts.Runtime


## UGL

> class in XUGL

UGUI Graphics Library.

|public method|since|description|
|--|--|--|
|DrawDiamond()||public static void DrawDiamond(VertexHelper vh, Vector3 center, float size, Color32 color)<br/>Draw a diamond. 画菱形（钻石形状） |
|DrawDiamond()||public static void DrawDiamond(VertexHelper vh, Vector3 center, float size, Color32 color, Color32 toColor)<br/>Draw a diamond. 画菱形（钻石形状） |
|DrawDiamond()||public static void DrawDiamond(VertexHelper vh, Vector3 center, float xRadius, float yRadius, Color32 color, Color32 toColor)|
|DrawEllipse()||public static void DrawEllipse(VertexHelper vh, Vector3 center, float w, float h, Color32 color, float smoothness = 1)|
|DrawEmptyDiamond()||public static void DrawEmptyDiamond(VertexHelper vh, Vector3 center, float xRadius, float yRadius, float tickness, Color32 color)|
|DrawEmptyDiamond()||public static void DrawEmptyDiamond(VertexHelper vh, Vector3 center, float xRadius, float yRadius, float tickness, Color32 color, Color32 emptyColor)|
|DrawEmptyTriangle()||public static void DrawEmptyTriangle(VertexHelper vh, Vector3 pos, float size, float tickness, Color32 color)|
|DrawEmptyTriangle()||public static void DrawEmptyTriangle(VertexHelper vh, Vector3 pos, float size, float tickness, Color32 color, Color32 backgroundColor)|
|DrawLine()||public static void DrawLine(VertexHelper vh, List&lt;Vector3&gt; points, float width, Color32 color, bool smooth, bool closepath = false)|
|DrawLine()||public static void DrawLine(VertexHelper vh, Vector3 startPoint, Vector3 endPoint, float width, Color32 color)<br/>Draw a line. 画直线 |
|DrawLine()||public static void DrawLine(VertexHelper vh, Vector3 startPoint, Vector3 endPoint, float width, Color32 color, Color32 toColor)<br/>Draw a line. 画直线 |
|DrawMinus()||public static void DrawMinus(VertexHelper vh, Vector3 center, float radius, float tickness, Color32 color)<br/>Draw minus sign. |
|DrawPlus()||public static void DrawPlus(VertexHelper vh, Vector3 center, float radius, float tickness, Color32 color)<br/>Draw plus sign. |
|DrawPolygon()||public static void DrawPolygon(VertexHelper vh, List&lt;Vector3&gt; points, Color32 color)<br/>填充任意多边形（目前只支持凸多边形） |
|DrawRectangle()||public static void DrawRectangle(VertexHelper vh, Rect rect, Color32 color)|
|DrawRectangle()||public static void DrawRectangle(VertexHelper vh, Rect rect, Color32 color, Color32 toColor)|
|DrawRectangle()||public static void DrawRectangle(VertexHelper vh, Rect rect, float border, Color32 color)|
|DrawRectangle()||public static void DrawRectangle(VertexHelper vh, Rect rect, float border, Color32 color, Color32 toColor)|
|DrawRectangle()||public static void DrawRectangle(VertexHelper vh, Vector3 p1, Vector3 p2, float radius, Color32 color)<br/>Draw a rectangle. 画带长方形 |
|DrawSquare()||public static void DrawSquare(VertexHelper vh, Vector3 center, float radius, Color32 color)<br/>Draw a square. 画正方形 |
|DrawSvgPath()||public static void DrawSvgPath(VertexHelper vh, string path)|
|DrawTriangle()||public static void DrawTriangle(VertexHelper vh, Vector3 pos, float size, Color32 color)|
|DrawTriangle()||public static void DrawTriangle(VertexHelper vh, Vector3 pos, float size, Color32 color, Color32 toColor)|

## UGLExample

> class in XUGL / Inherits from: [MaskableGraphic](https://docs.unity3d.com/ScriptReference/30_search.html?q=maskablegraphic)


## UGLHelper

> class in XUGL


|public method|since|description|
|--|--|--|
|GetAngle360()||public static float GetAngle360(Vector2 from, Vector2 to)<br/>获得0-360的角度（12点钟方向为0度） |
|GetBezier()||public static Vector3 GetBezier(float t, Vector3 sp, Vector3 cp, Vector3 ep)|
|GetBezier2()||public static Vector3 GetBezier2(float t, Vector3 sp, Vector3 p1, Vector3 p2, Vector3 ep)|
|GetBezierList()||public static List&lt;Vector3&gt; GetBezierList(Vector3 sp, Vector3 ep, int segment, Vector3 cp)|
|GetDire()||public static Vector3 GetDire(float angle, bool isDegree = false)|
|GetIntersection()||public static bool GetIntersection(Vector3 p1, Vector3 p2, Vector3 p3, Vector3 p4, ref List&lt;Vector3&gt; intersection)<br/>获得两直线的交点 |
|GetIntersection()||public static bool GetIntersection(Vector3 p1, Vector3 p2, Vector3 p3, Vector3 p4, ref Vector3 intersection)<br/>获得两直线的交点 |
|GetPos()||public static Vector3 GetPos(Vector3 center, float radius, float angle, bool isDegree = false)|
|GetVertialDire()||public static Vector3 GetVertialDire(Vector3 dire)|
|IsClearColor()||public static bool IsClearColor(Color color)|
|IsClearColor()||public static bool IsClearColor(Color32 color)|
|IsPointInPolygon()||public static bool IsPointInPolygon(Vector3 p, List&lt;Vector2&gt; polyons)|
|IsPointInPolygon()||public static bool IsPointInPolygon(Vector3 p, List&lt;Vector3&gt; polyons)|
|IsPointInTriangle()||public static bool IsPointInTriangle(Vector3 p1, Vector3 p2, Vector3 p3, Vector3 check)|
|IsValueEqualsColor()||public static bool IsValueEqualsColor(Color color1, Color color2)|
|IsValueEqualsColor()||public static bool IsValueEqualsColor(Color32 color1, Color32 color2)|
|IsValueEqualsList&lt;T&gt;()||public static bool IsValueEqualsList&lt;T&gt;(List&lt;T&gt; list1, List&lt;T&gt; list2)|
|IsValueEqualsString()||public static bool IsValueEqualsString(string str1, string str2)|
|IsValueEqualsVector2()||public static bool IsValueEqualsVector2(Vector2 v1, Vector2 v2)|
|IsValueEqualsVector3()||public static bool IsValueEqualsVector3(Vector3 v1, Vector2 v2)|
|IsValueEqualsVector3()||public static bool IsValueEqualsVector3(Vector3 v1, Vector3 v2)|
|IsZeroVector()||public static bool IsZeroVector(Vector3 pos)|
|RotateRound()||public static Vector3 RotateRound(Vector3 position, Vector3 center, Vector3 axis, float angle)|

## UIComponent

> class in XCharts.Runtime / Inherits from: [BaseGraph](#basegraph)

UI组件基类。

|public method|since|description|
|--|--|--|
|SetAllDirty()||public override void SetAllDirty()|
|SetDataDirty()|v3.9.0|public void SetDataDirty()|
|SetVerticesDirty()||public override void SetVerticesDirty()|
|UpdateTheme()||public bool UpdateTheme(ThemeType theme)<br/>Update chart theme. |

## UIComponentTheme

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)


## UIHelper

> class in XCharts.Runtime

UI帮助类。

|public method|since|description|
|--|--|--|
|GetBackgroundColor()||public static Color32 GetBackgroundColor(UIComponent component)|

## VisualMap

> class in XCharts.Runtime / Inherits from: [MainComponent](#maincomponent)

VisualMap component. Mapping data to visual elements such as colors.

|public method|since|description|
|--|--|--|
|AddColors()||public void AddColors(List&lt;Color32&gt; colors)|
|AddColors()||public void AddColors(List&lt;string&gt; colors)|
|ClearComponentDirty()||public override void ClearComponentDirty()|
|ClearVerticesDirty()||public override void ClearVerticesDirty()|
|GetColor()||public Color32 GetColor(double value)|
|GetIndex()||public int GetIndex(double value)|
|GetValue()||public double GetValue(Vector3 pos, Rect chartRect)|
|IsInRangeMaxRect()||public bool IsInRangeMaxRect(Vector3 local, Rect chartRect, float triangleLen)|
|IsInRangeMinRect()||public bool IsInRangeMinRect(Vector3 local, Rect chartRect, float triangleLen)|
|IsInRangeRect()||public bool IsInRangeRect(Vector3 local, Rect chartRect)|
|IsInRect()||public bool IsInRect(Vector3 local, Rect chartRect, float triangleLen = 20)|
|IsInSelectedValue()||public bool IsInSelectedValue(double value)|
|IsPiecewise()||public bool IsPiecewise()|

## VisualMapContext

> class in XCharts.Runtime / Inherits from: [MainComponentContext](#maincomponentcontext)


## VisualMapHelper

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|AutoSetLineMinMax()||public static void AutoSetLineMinMax(VisualMap visualMap, Serie serie, bool isY, Axis axis, Axis relativedAxis)|
|GetDimension()||public static int GetDimension(VisualMap visualMap, int defaultDimension)|
|IsNeedAreaGradient()||public static bool IsNeedAreaGradient(VisualMap visualMap)|
|IsNeedGradient()||public static bool IsNeedGradient(VisualMap visualMap)|
|IsNeedLineGradient()||public static bool IsNeedLineGradient(VisualMap visualMap)|
|SetMinMax()||public static void SetMinMax(VisualMap visualMap, double min, double max)|

## VisualMapRange

> class in XCharts.Runtime / Inherits from: [ChildComponent](#childcomponent)


|public method|since|description|
|--|--|--|
|Contains()||public bool Contains(double value, double minMaxRange)|

## VisualMapTheme

> class in XCharts.Runtime / Inherits from: [ComponentTheme](#componenttheme)


|public method|since|description|
|--|--|--|
|Copy()||public void Copy(VisualMapTheme theme)|
|VisualMapTheme()||public VisualMapTheme(ThemeType theme) : base(theme)|

## XAxis

> class in XCharts.Runtime / Inherits from: [Axis](#axis)

The x axis in cartesian(rectangular) coordinate.

|public method|since|description|
|--|--|--|
|SetDefaultValue()||public override void SetDefaultValue()<br/>The x axis in cartesian(rectangular) coordinate. |

## XChartsMgr

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|AddChart()||public static void AddChart(BaseChart chart)|
|ContainsChart()||public static bool ContainsChart(BaseChart chart)|
|ContainsChart()||public static bool ContainsChart(string chartName)|
|GetChart()||public static BaseChart GetChart(string chartName)|
|GetCharts()||public static List&lt;BaseChart&gt; GetCharts(string chartName)|
|GetPackageFullPath()||public static string GetPackageFullPath()|
|GetRepeatChartNameInfo()||public static string GetRepeatChartNameInfo(BaseChart chart, string chartName)|
|IsRepeatChartName()||public static bool IsRepeatChartName(BaseChart chart, string chartName = null)|
|RemoveAllChartObject()||public static void RemoveAllChartObject()|
|RemoveChart()||public static void RemoveChart(string chartName)|

## XCResourceImporterWindow

> class in XCharts.Runtime / Inherits from: [UnityEditor.EditorWindow](https://docs.unity3d.com/ScriptReference/30_search.html?q=unityeditor.editorwindow)


|public method|since|description|
|--|--|--|
|ShowPackageImporterWindow()||public static void ShowPackageImporterWindow()|

## XCResourcesImporter

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|OnDestroy()||public void OnDestroy() { }|
|OnGUI()||public void OnGUI()|
|XCResourcesImporter()||public XCResourcesImporter() { }|

## XCSettings

> class in XCharts.Runtime / Inherits from: [ScriptableObject](https://docs.unity3d.com/ScriptReference/30_search.html?q=scriptableobject)


|public method|since|description|
|--|--|--|
|AddCustomTheme()||public static bool AddCustomTheme(Theme theme)|
|ExistAssetFile()||public static bool ExistAssetFile()|
|GetSettingAssetPath()||public static string GetSettingAssetPath()|

## XCThemeMgr

> class in XCharts.Runtime


|public method|since|description|
|--|--|--|
|AddTheme()||public static void AddTheme(Theme theme)|
|CheckReloadTheme()||public static void CheckReloadTheme()|
|ContainsTheme()||public static bool ContainsTheme(string themeName)|
|ExportTheme()||public static bool ExportTheme(Theme theme)|
|ExportTheme()||public static bool ExportTheme(Theme theme, string themeNewName)|
|GetAllThemeNames()||public static List&lt;string&gt; GetAllThemeNames()|
|GetTheme()||public static Theme GetTheme(string themeName)|
|GetTheme()||public static Theme GetTheme(ThemeType type)|
|GetThemeAssetPath()||public static string GetThemeAssetPath(string themeName)|
|GetThemeList()||public static List&lt;Theme&gt; GetThemeList()|
|LoadTheme()||public static Theme LoadTheme(string themeName)|
|LoadTheme()||public static Theme LoadTheme(ThemeType type)|
|ReloadThemeList()||public static void ReloadThemeList()<br/>重新加载主题列表 |
|SwitchTheme()||public static void SwitchTheme(BaseChart chart, string themeName)|

## XLog

> class in XCharts.Runtime / Inherits from: [MonoBehaviour](#monobehaviour)

Log system. Used to output logs with date and log type, support output to file, support custom output log type.

|public method|since|description|
|--|--|--|
|CanLog()||public static bool CanLog(int level)|
|ClearAllLog()||public static void ClearAllLog()|
|Debug()||public static void Debug(string log)|
|EnableLog()||public static void EnableLog(int logType)|
|Error()||public static void Error(string log)|
|FlushLog()||public static void FlushLog()|
|GetNowTime()||public static string GetNowTime(string formatter = null)|
|GetTimestamp()||public static ulong GetTimestamp()|
|Info()||public static void Info(string log)|
|Log()||public static void Log(string log)|
|LogError()||public static void LogError(string log)|
|LogWarning()||public static void LogWarning(string log)|
|Proto()||public static void Proto(string log)|
|Vital()||public static void Vital(string log)|
|Warning()||public static void Warning(string log)|

## YAxis

> class in XCharts.Runtime / Inherits from: [Axis](#axis)

The x axis in cartesian(rectangular) coordinate.

|public method|since|description|
|--|--|--|
|SetDefaultValue()||public override void SetDefaultValue()<br/>The x axis in cartesian(rectangular) coordinate. |

